(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     53571,       1177]
NotebookOptionsPosition[     52418,       1153]
NotebookOutlinePosition[     52815,       1169]
CellTagsIndexPosition[     52772,       1166]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], " ", ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"<<", "PlotLegends`"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"u", "[", 
     RowBox[{"a_", ",", "b_", ",", "c_", ",", "x_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"b", "*", "x"}], " ", "+", " ", "c", " ", "-", " ", 
     RowBox[{"a", "*", " ", 
      RowBox[{
       RowBox[{"(", "x", ")"}], "^", "2"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"utility", " ", "function"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"v", "[", 
     RowBox[{"q2_", ",", "q1_", ",", "y2_", ",", "y1_", ",", "s_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q2", " ", "-", " ", "q1", " ", "-", " ", 
       RowBox[{"s", "*", 
        RowBox[{"(", 
         RowBox[{"y2", " ", "-", " ", "y1"}], ")"}]}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "*", 
        RowBox[{"(", 
         RowBox[{"y2", "-", "y1"}], ")"}]}], " ", "-", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", "y2", ")"}], "^", "2"}], " ", "-", " ", 
         RowBox[{
          RowBox[{"(", "y1", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"2", " ", "types"}], ",", " ", 
    RowBox[{"with", " ", "same", " ", "risk", " ", "aversion"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu1", " ", "=", " ", "2"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu2", " ", "=", " ", "4"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu3", " ", "=", " ", "8.5"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu4", " ", "=", " ", "10"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mu5", "=", "16"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mu6", " ", "=", " ", "24"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu7", " ", "=", " ", "36"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe2", " ", "=", " ", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe3", " ", "=", " ", "0.8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe4", " ", "=", " ", "0.9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe0", " ", "=", " ", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe1", " ", "=", " ", 
   RowBox[{"xe1", " ", "*", " ", "mu1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe2", " ", "=", " ", 
   RowBox[{"xe2", " ", "*", " ", "mu2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe3", " ", "=", " ", 
   RowBox[{"xe3", " ", "*", " ", "mu3"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pe4", " ", "=", " ", 
    RowBox[{"xe4", " ", "*", " ", "mu4"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a1", " ", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe1", " ", "-", " ", "pe0", " ", "-", " ", 
      RowBox[{"mu1", "*", 
       RowBox[{"(", 
        RowBox[{"xe1", " ", "-", " ", "xe0"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe1", "-", "xe0"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe1", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe0", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b1", " ", ":=", " ", 
   RowBox[{"mu1", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a1"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c1", " ", ":=", " ", 
    RowBox[{"pe1", " ", "+", " ", 
     RowBox[{"a1", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe1", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b1", "*", "xe1"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a2", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe2", " ", "-", " ", "pe1", " ", "-", " ", 
      RowBox[{"mu2", "*", 
       RowBox[{"(", 
        RowBox[{"xe2", " ", "-", " ", "xe1"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe2", "-", "xe1"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe2", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe1", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b2", ":=", " ", 
   RowBox[{"mu2", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c2", ":=", " ", 
    RowBox[{"pe2", " ", "+", " ", 
     RowBox[{"a2", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe2", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b2", "*", "xe2"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a3", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe3", " ", "-", " ", "pe2", " ", "-", " ", 
      RowBox[{"mu3", "*", 
       RowBox[{"(", 
        RowBox[{"xe3", " ", "-", " ", "xe2"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe3", "-", "xe2"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe3", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe2", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b3", ":=", " ", 
   RowBox[{"mu3", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a3"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c3", ":=", " ", 
    RowBox[{"pe3", " ", "+", " ", 
     RowBox[{"a3", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe3", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b3", "*", "xe3"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a4", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe4", " ", "-", " ", "pe3", " ", "-", " ", 
      RowBox[{"mu4", "*", 
       RowBox[{"(", 
        RowBox[{"xe4", " ", "-", " ", "xe3"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe4", "-", "xe3"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe4", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe3", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b4", ":=", " ", 
   RowBox[{"mu4", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a4"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c4", ":=", " ", 
    RowBox[{"pe4", " ", "+", " ", 
     RowBox[{"a4", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe4", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b4", "*", "xe4"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U3", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"u", "[", 
     RowBox[{"a3", ",", "b3", ",", "c3", ",", "x"}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U4", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"u", "[", 
     RowBox[{"a4", ",", "b4", ",", "c4", ",", "x"}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t3", " ", ":=", " ", 
   RowBox[{"u", "[", 
    RowBox[{"a3", ",", "b3", ",", "c3", ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t4", " ", ":=", " ", 
   RowBox[{"u", "[", 
    RowBox[{"a4", ",", "b4", ",", "c4", ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"U5", "[", "x_", "]"}], " ", ":=", " ", 
   RowBox[{"t3", "  ", "+", " ", 
    RowBox[{"mu5", "*", 
     RowBox[{"(", 
      RowBox[{"x", "-", "1"}], ")"}]}], " ", "-", " ", 
    RowBox[{"50", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}], "^", "2"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"U6", "[", "x_", "]"}], " ", ":=", " ", 
   RowBox[{"t3", "  ", "+", " ", 
    RowBox[{"mu6", "*", 
     RowBox[{"(", 
      RowBox[{"x", "-", "1"}], ")"}]}], " ", "-", " ", 
    RowBox[{"70", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}], "^", "2"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U7", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"t3", "  ", "+", " ", 
     RowBox[{"mu7", "*", 
      RowBox[{"(", 
       RowBox[{"x", "-", "1"}], ")"}]}], " ", "-", " ", 
     RowBox[{"90", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"x", "-", "1"}], ")"}], "^", "2"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"U3", "[", "x", "]"}], ",", 
      RowBox[{"U4", "[", "x", "]"}], ",", 
      RowBox[{"U5", "[", "x", "]"}], ",", 
      RowBox[{"U6", "[", "x", "]"}], ",", 
      RowBox[{"U7", "[", "x", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0.6", ",", "1"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"5", ",", "11"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<p\>\""}], "}"}]}], ",", " ", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", " ", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<Insurance Level\>\"", ",", "\"\<Price\>\""}], "}"}]}], ",",
     "\[IndentingNewLine]", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", "14"}], 
      "}"}]}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "Brown", "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"Red", ",", "Dashed", ",", " ", "Thick"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Magenta", ",", " ", "DotDashed"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Blue", ",", " ", "DotDashed"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Grey", ",", " ", "DotDashed"}], "}"}]}], "}"}]}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"PlotLegends", "\[Rule]", 
     RowBox[{"Placed", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\"\<Riskiness of Least Risky Full a Insurance Purchaser \
=\!\(\*SuperscriptBox[\(\[Mu]\), \(*\)]\)<\!\(\*SuperscriptBox[\(p\), \
\(*\)]\)\>\"", ",", 
         RowBox[{
         "\"\<Riskiness of Agent Purchasing (p(x),x)\>\"", "\[GreaterEqual]", 
          "\"\<\!\(\*FractionBox[\(p \((x)\)\), \(x\)]\)> \
\!\(\*SuperscriptBox[\(\[Mu]\), \(*\)]\)\>\""}]}], "}"}], ",", "Below"}], 
      "]"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"PointSize", "[", "Large", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "t3"}], "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"xe3", ",", "pe3"}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<(\!\(\*SuperscriptBox[\(p\), \(*\)]\),1)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"0.98", ",", 
           RowBox[{"t3", "+", "0.30"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FontSize", "\[Rule]", "13"}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Black"}]}], "}"}]}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<\!\(\*SuperscriptBox[\(\[Mu]\), \(*\)]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"0.9", ",", 
           RowBox[{"t3", "-", "0.7"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FontSize", "\[Rule]", "13"}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Black"}]}], "}"}]}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<(p(x),x)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xe3", "-", "0.03"}], ",", 
           RowBox[{"pe3", " ", "+", " ", "0.5"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"FontSize", "\[Rule]", "13"}], "}"}]}]}], "]"}]}], "}"}]}],
     ",", " ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{
      "\"\<Contradiction to Atom at Full Insurance:\\n (\!\(\*SuperscriptBox[\
\(p\), \(*\)]\),1) Should Be Above Red Dashed Line\>\"", ",", "15"}], 
      "]"}]}]}], "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{"FileNameJoin", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], ",", 
        "\"\<lemma_contradiction.pdf\>\""}], "}"}], "]"}], ",", "%"}], "]"}], 
   ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.654084761829789*^9, 3.654084766137369*^9}, {
   3.654084990861683*^9, 3.654085043148172*^9}, {3.654085615879644*^9, 
   3.654085679499654*^9}, {3.654085716731349*^9, 3.654085796293104*^9}, {
   3.654085829869647*^9, 3.6540858584446697`*^9}, {3.654085944005374*^9, 
   3.654085985384428*^9}, {3.654086021195547*^9, 3.654086021877582*^9}, {
   3.654086074848733*^9, 3.65408608045804*^9}, {3.654086119096356*^9, 
   3.654086144395257*^9}, {3.6540861749853907`*^9, 3.6540862342317457`*^9}, {
   3.654086275273429*^9, 3.654086275919475*^9}, 3.654086371223913*^9, {
   3.654086440567954*^9, 3.654086440801491*^9}, {3.654086497321967*^9, 
   3.654086580655294*^9}, {3.654086645142502*^9, 3.6540866489590693`*^9}, {
   3.6540868006208344`*^9, 3.654086810086817*^9}, {3.654086865663377*^9, 
   3.6540868924446363`*^9}, {3.6540869488674173`*^9, 
   3.6540869841551647`*^9}, {3.654087022035595*^9, 3.654087028930533*^9}, {
   3.6540871102278214`*^9, 3.65408713403084*^9}, {3.654087366361936*^9, 
   3.6540873667694902`*^9}, {3.654087457460434*^9, 3.654087782684373*^9}, {
   3.6540878577087393`*^9, 3.654087860096937*^9}, {3.654087909517391*^9, 
   3.654087921544088*^9}, {3.654087967299337*^9, 3.6540879700215683`*^9}, {
   3.654088224105817*^9, 3.6540883010327263`*^9}, {3.654088337637545*^9, 
   3.6540883383578253`*^9}, {3.654088823986524*^9, 3.654088895271007*^9}, {
   3.654088926212845*^9, 3.654088996052891*^9}, {3.654089028320209*^9, 
   3.654089030414783*^9}, 3.654089077488151*^9, {3.654089111623246*^9, 
   3.6540892774478083`*^9}, {3.654089421270298*^9, 3.654089442959364*^9}, {
   3.6540895085646*^9, 3.6540897609065742`*^9}, {3.654089793107745*^9, 
   3.654089882257058*^9}, {3.654090027393229*^9, 3.654090040217157*^9}, {
   3.654090126107752*^9, 3.654090154207101*^9}, {3.6540904676958303`*^9, 
   3.6540904920704517`*^9}, {3.654090528064599*^9, 3.654090541771603*^9}, {
   3.6540906439468307`*^9, 3.65409066167456*^9}, {3.654091030546303*^9, 
   3.654091100773958*^9}, {3.6540911314690523`*^9, 3.654091131562707*^9}, {
   3.654091175157847*^9, 3.654091196146928*^9}, {3.654091259961026*^9, 
   3.6540912811749763`*^9}, {3.6540913278227873`*^9, 3.654091363814581*^9}, 
   3.6540913988851357`*^9, {3.654091443583721*^9, 3.654091468808614*^9}, 
   3.654091504009903*^9, {3.6540920014991283`*^9, 3.6540920024282427`*^9}, {
   3.654099008976809*^9, 3.654099009886825*^9}, {3.654099054672201*^9, 
   3.654099056949709*^9}, {3.6541000364076014`*^9, 3.65410015115652*^9}, {
   3.654100223076532*^9, 3.654100252473755*^9}, {3.654100342965404*^9, 
   3.6541003450447607`*^9}, {3.6541004190025787`*^9, 3.654100512966296*^9}, {
   3.654100576173481*^9, 3.6541006236530027`*^9}, {3.654100657464992*^9, 
   3.654100659723229*^9}, {3.65410069895822*^9, 3.654100747578195*^9}, {
   3.654100959782037*^9, 3.654101253757845*^9}, {3.654340037360993*^9, 
   3.6543401874563293`*^9}, {3.654340781796336*^9, 3.654340782029985*^9}, {
   3.6548965848544283`*^9, 3.654896629971703*^9}, {3.655190568262974*^9, 
   3.655190578768423*^9}, {3.6562528772591267`*^9, 3.656252921650013*^9}, {
   3.656253021884144*^9, 3.6562530423144903`*^9}, {3.7067718131628*^9, 
   3.7067718388988*^9}, {3.7067718988588*^9, 3.7067719007228*^9}, {
   3.7067720061468*^9, 3.7067720369388*^9}, {3.7067730924827995`*^9, 
   3.7067730926018*^9}, {3.7067731253868*^9, 3.7067731344438*^9}, {
   3.7067732062187996`*^9, 3.7067732079228*^9}, {3.7067744081238*^9, 
   3.7067746378107996`*^9}, {3.7067746824337997`*^9, 3.7067748062578*^9}, {
   3.7067748753387995`*^9, 3.7067749397067995`*^9}, {3.7067750414318*^9, 
   3.7067750482187996`*^9}, {3.7067750809458*^9, 3.7067752521377997`*^9}, {
   3.7067752838658*^9, 3.7067752860738*^9}, {3.7067753563468*^9, 
   3.7067753566258*^9}, {3.7067754542908*^9, 3.7067755288577995`*^9}, {
   3.7067755946108*^9, 3.7067756284097996`*^9}, {3.7067756914188*^9, 
   3.7067758537858*^9}, {3.7067758895218*^9, 3.7067759154337997`*^9}, {
   3.7067761493947997`*^9, 3.7067764017948*^9}, {3.7067764511147995`*^9, 
   3.7067766280657997`*^9}, {3.7067766695067997`*^9, 
   3.7067767648907995`*^9}, {3.7067768267008*^9, 3.7067768791068*^9}, {
   3.7067769577718*^9, 3.7067769858177996`*^9}, {3.7067770271877995`*^9, 
   3.7067770287307997`*^9}, {3.7067771096759377`*^9, 
   3.7067771123534727`*^9}, {3.706777156523305*^9, 3.706777166093219*^9}, {
   3.7067772864612875`*^9, 3.7067773583612328`*^9}, {3.7067800458087997`*^9, 
   3.7067800844488*^9}, {3.7067801246328*^9, 3.7067801758898*^9}, {
   3.7067802288728*^9, 3.7067803982257996`*^9}, {3.7067804597528*^9, 
   3.7067806048018*^9}, {3.7067806540738*^9, 3.7067807450098*^9}, {
   3.7067808356577997`*^9, 3.7067809363478*^9}, {3.7067809871308*^9, 
   3.7067809989058*^9}, {3.7067811603217998`*^9, 3.7067812220108*^9}, {
   3.7067812813538*^9, 3.7067813390908*^9}, {3.7067813860758*^9, 
   3.7067815262018*^9}, {3.7067815863938*^9, 3.7067815938907995`*^9}, {
   3.7067817122678*^9, 3.7067817298817997`*^9}, {3.7067818550028*^9, 
   3.7067818598428*^9}, {3.7067819001868*^9, 3.7067819636658*^9}, {
   3.7067829545227995`*^9, 3.7067830681527996`*^9}, {3.7067831099778*^9, 
   3.7067832219207997`*^9}, {3.7067832636577997`*^9, 
   3.7067833265607996`*^9}, {3.7067833606077995`*^9, 
   3.7067834026407995`*^9}, {3.7067834357777996`*^9, 
   3.7067835745987997`*^9}, {3.7067836297548*^9, 3.7067836519768*^9}, {
   3.7067837220487995`*^9, 3.7067837959058*^9}, {3.7067838282257996`*^9, 
   3.7067840519138*^9}, {3.7067842333538*^9, 3.7067842908498*^9}, {
   3.7067843325618*^9, 3.7067843582348*^9}, {3.7067844176907997`*^9, 
   3.7067844377377996`*^9}, {3.7067845161547995`*^9, 
   3.7067845162037997`*^9}, {3.7067845707388*^9, 3.7067845813138*^9}, {
   3.7067846390428*^9, 3.7067846459698*^9}, {3.7067846799398*^9, 
   3.7067847193627996`*^9}, {3.7067847683138*^9, 3.7067847710338*^9}, {
   3.7067848199158*^9, 3.7067848751447997`*^9}, 3.7067850326507998`*^9, {
   3.7067850969068*^9, 3.7067851419547997`*^9}, {3.7067852209797997`*^9, 
   3.7067852287067995`*^9}, {3.7067853426168*^9, 3.7067855017307997`*^9}, {
   3.7067855808507996`*^9, 3.7067856487167997`*^9}, {3.7067857420197997`*^9, 
   3.7067857660668*^9}, {3.7067858846028*^9, 3.7067859027388*^9}, {
   3.7067860095548*^9, 3.7067860517467995`*^9}, {3.7067861748177996`*^9, 
   3.7067861779287996`*^9}, 3.7067864740358*^9, 3.7067865071317997`*^9, {
   3.7067868848518*^9, 3.7067869980898*^9}, {3.7067874564988*^9, 
   3.7067874762748*^9}, {3.835091588410363*^9, 3.835091589683343*^9}},
 CellLabel->
  "In[143]:=",ExpressionUUID->"e1716c29-e1a8-42b6-9132-ae1e87fd0b52"],

Cell[BoxData[
 TemplateBox[{
  "General", "obspkg", 
   "\"\\!\\(\\*RowBox[{\\\"\\\\\\\"PlotLegends`\\\\\\\"\\\"}]\\) is now \
obsolete. The legacy version being loaded may conflict with current \
functionality. See the Compatibility Guide for updating information.\"", 2, 
   144, 4, 25229454510547344880, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{{3.7067855976498*^9, 3.7067856494077997`*^9}, {
   3.7067857445417995`*^9, 3.7067857665257998`*^9}, {3.7067858936457996`*^9, 
   3.7067859033647995`*^9}, {3.7067860385518*^9, 3.7067860520657997`*^9}, 
   3.7067861783687997`*^9, {3.7067864694467998`*^9, 3.7067864750417995`*^9}, 
   3.7067865211547995`*^9, 3.7067868880797997`*^9, {3.7067869754547997`*^9, 
   3.7067869985717998`*^9}, 3.7067874882078*^9, 3.835091515517387*^9, 
   3.8350915934592457`*^9},
 CellLabel->
  "During evaluation of \
In[143]:=",ExpressionUUID->"2736bf1e-051a-4098-8cb7-13b5018cd9ea"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{{{}, {}, 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[0.6, 0.4, 0.2]], 
         LineBox[CompressedData["
1:eJwVyQ04FHYcB/DLMJeiHpzD4f69zGtWQk9Jv5/VxtrDvNwosnmqOR0xWo+X
CyXRvGTNw9L2eK1mzYybvKVcPXldDhEzmXh27g53fzMl77u+z/N9vs/n+ZKT
0X5fajAYDFD37Z5LT6+JzpC+pTqGWO3TWLuQKYUq/daj49qG+Mn6aG1qrxRq
u09Ih7MN8bLJV61RWychNUZ0JFnHCMfuRIwb+E7C+tqTlJCLRiio61gjBZMw
ZnPwDyWDhXl78uyvD05Cc7v1E2EcC6cdWoLPcGTAzh7OOP+ahWHFvIKlUBnY
icpqcmOMMUUYOD5TIgPQ+ClyecIY24fv7/KclEGal23rhRNs/LU8J1PTSg5M
uxvRiU/Z+JiK5TZn5eAf1Ek8j5jgclWIn45IDqtN7KaABhPsG+Y/9ZiTw8jz
VzLn7aY4mN7vMbtPAZVpj3Ou5ZtiQnFl/2K8ArYIve9PrJki2FFBc4MC8h8E
/9592gyd9+e9I19VwLHCkrrRPjPsEN2q/PrQFPzrueTt6sLBrCrjQEHaFMRv
9rsWX8rBGPP5TSadapcMshyZ5vhqwa3fmjkN/Af9B3PCzbGCp7hZ6j0NoVn/
1MVIzPENR+OcMHcaXE5pl22zt8DIY2kBej3TkMxMT7qdboH6rHDXjYYzsNZy
NClEZoE+0Libz5uBjpsu4r1oieKpCKtdN2eg4L3q+cUiS5RsyHbgjah/YUQM
87UlrmcZuTuZKUH2Az9baycXv7jB+CwpVAmPG2r0B3y5GLLleIJVqRJWUlg+
s4lczNxoUHxApoQ9bneT6+9wcSTOpVfbXgVW8/oXpnq52OnTvtUpUgW6u7d6
5S9wUfZLI6+rRgU1eYs9LVyCZbEmFY/mVMDxfFgY9xHBS5UT2rGOFOZzBtlt
AoK54Zv5WXEU/tTjWAquEzzw7e0hrQYKqPye/6SWoH2ss3hnI4WHVpX1ofcI
mvNaKz5sohBrs3dpRW0GW5pwpZnCldTCAOd6gu3FOzhajyh8nNUeebuRIO+3
8lDNLgqeCxV6lx8SjJKUKjReULDef8naqYNgaPWeZ9tGKZQFqdokavt+96jp
g78p+B+WBJ7pJOgUMJ6V+pJCkGDSp6iL4PIo10FDSoGpH1/ybjfBq8ri2A0q
CuMi7r2hPoKJPe8HE0rhuUdTYswzgpE1LYfdZylo3mpz1O0n+On5McNLcxR0
RPsSDw0QZK1a1DMWKFTuEIbdGiSoM1ZVzH1D4eR/d1vchgguig9dxUUKXt94
6Q6p/SLt8+MXlylINk4nMIcJSsJU7iUrFE69lv5YprbYM9lWvEph98/+Ite/
CIps9QxerlFw3O7UNKB2+aai5fV1ClGnM2rPjhD8H6qG5w4=
          "]]}, 
        Annotation[#, "Charting`Private`Tag$5909#1"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[1, 0, 0], 
          Dashing[{Small, Small}], 
          Thickness[Large]], 
         LineBox[CompressedData["
1:eJwd0H1Mk2cQAPCXCsoMIBsFQQtry8PYQHHTMqB03DG3YCYBRzqUbIxmIjDG
ZHwsyvhwEHTEYkAgmekMpcASgqyDDiZfCS1BgY5gpbKFiEJdlJZ+PIbgCgPW
vdsll8svd3/cneCzwrRzHIZhYtj8r1ZE3/purGUFmP+Di5fKT5tsbSsgydJf
uXaEi5MLI4dPPFuBZEWWTRvrjz91XLvqHm6GWLNBtx0RgONUa37jSzM0Vs/d
6Y3cj1vqzDRPjRlaKuqylgWBeH8hdyZpzQy2szGuNE4Q/n7FmPQ8xgKy8KKO
v2kQlil7jJsXLSA6oGq/PHUAIZLmjw5aoH/9kmnm+4MYHde8y7zD9nedf+Fd
wsMpTWdPacIqTCRLBrPFwShX7z+dX7sKN/lS1HiFYFHwulfQ9Cosjou4GfMh
+ML5jvH1l6xgPmNKTZW/il1Si0KVYgXDDzyPyjA+bvA4JeUNVvirpGHPBxV8
LDhTm+5zzwq+17ua/pzl476AvPi9XBsc9feOGQ4T4CkYejNXagONkysRlApQ
u/pF+GGFDR4YadR7dwU461YfJX1og5vZcYYkXyG65P6JooN2sF3sF0rThZh1
g/moUmYHXqyrtkopxEzfjLJwlR0kc3vcQ01CvLrXTylesUN/w9L9s2Gh+PDC
24bdhxyAd4mu/FwoTp+afFlU4ID6B057d2sortwakur7HNCV78HML4Rie3FQ
l27NAaQiJTvHh2B1z5PdxUcpuKfI/AqBYEOed678AoUJ+kn8fBFBceOPf3gM
UlhsPzkQ30rwUHG0NmyIwo2ok8e2WQdL73S9P0wh26mpGlUSZAKfll0epYA4
UilREZxUEp6HjsK6Ws0TdxKU/twhc9dTiGUEjyO7CZ6fVVk4ixSSi48VWgYI
ynrfmhM+otDZJlZ0/Erwwybd8LuPKXh6dTdl3iYoSjfJa5YpcBU6q2GQ4NYj
fhTnKQXSbEwYGCFYZ1cWuzlYb9bkleoIfnPvyMcCSkG74Z0fOU6woG/seOJz
Cl9Fu8U9YZ369RK3eo1CYA4fUicIBuyE3Gac7D6dibbXJgl6LqmV/A323nqf
jEXWm9qEOtykYOs73nx9iuBi7acZ326x//nlWeHWNMHZHEdi2zaF0kbpK716
gtoTVRHaHQq87oia7N8IaiJ8/Jb/YeeZz8cCZwh2eLVuuVwU+lv26WdY/wuW
/5/9
          "]]}, Annotation[#, "Charting`Private`Tag$5909#2"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[1, 0, 1], 
          Dashing[{0, Small, Small, Small}]], 
         LineBox[CompressedData["
1:eJwBsQJO/SFib1JlAgAAACoAAAACAAAAMS2A3LjK6j8AAAAAAAAUQPX3PdMo
Ces/Faf7bQD5FECoVOmaoU7rPwR2RK76BhZA+BwCc3uP6z8Jau6CWvwWQGxY
hFYOz+s/wyw2oqrmF0APFmg7ChTsPxkaVXHx3RhAUD+5MGdU7D9jUjypG74Z
QMDqayctmuw/tqNNpPmpGkDOAYwuVNvsP7qXo8qDfxtA/4sVQTQb7T/7dvOg
lEocQF+YAFV9YO0/Zyplj84fHUBdEFl5J6HtPylg4Tw04B1AigoTnzrn7T9d
F/6ffqkeQNt3NtAGLO4/ip+qy9NnH0DJUMcRNGzuPxDRNMRuCSBA56u5VMqx
7j+i0Go5nGIgQKJyGajB8u4//BkDEYiyIECBrOIGcjLvP/pklYDB/SBAj2gN
Z4t37z9MiJq/3kshQDqQpdcFuO8/2TCmoHmRIUAscjXAJbnvP+8YBTmpkiFA
HVTFqEW67z9eTSaS2JMhQAAY5XmFvO8/S5uvhjaWIUDHnyQcBcHvP1zL3Xjv
miFAVK+jYATK7z9ZfKiBVaQhQG7OoekC3O8/xCH3JPK2IUBgsDHSIt3vPxeV
n9UZuCFAUZLBukLe7z/DVApHQbkhQDRW4YuC4O8/K7kmbI+7IUD73SAuAuXv
PzEWe78owCFAiO2fcgHu7z8ZIZKKT8khQHrPL1sh7+8/C1pfR3PKIUBssb9D
QfDvP1ff7sSWyyFAT3XfFIHy7z/7zlQC3c0hQBb9HrcA9+8/fEI8hmbSIUAI
366fIPjvPz3eG0mI0yFA+cA+iED57z9Yxr3MqdQhQNyEXlmA++8/m3tIFuzW
IUDOZu5BoPzvP8RIMdwM2CFAwEh+KsD97z9HYtxiLdkhQLIqDhPg/u8/I8hJ
qk3aIUCjDJ77///vP1l6ebJt2yFAsDI92g==
          "]]}, 
        Annotation[#, "Charting`Private`Tag$5909#3"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[0, 0, 1], 
          Dashing[{0, Small, Small, Small}]], 
         LineBox[CompressedData["
1:eJwBYQKe/SFib1JlAgAAACUAAAACAAAAZKZfbvcg7D8AAAAAAAAUQFA/uTBn
VOw/B/XJyhYFFUDA6msnLZrsP8UiOfVBXRZAzgGMLlTb7D80sIRfPpUXQP+L
FUE0G+0/mTdDj0++GEBfmABVfWDtP93Od0ev9hlAXRBZeSeh7T+5y51B+RAb
QIoKE5865+0/Pv63oMs4HEDbdzbQBizuP/QFF04FUR1AyVDHETRs7j8paD8w
T00eQOeruVTKse4/lN/ThexUH0CichmowfLuPyi3SCzZICBAgaziBnIy7z/u
pSkFiJAgQI9oDWeLd+8/YR01Gs0EIUA6kKXXBbjvP+ymVC2ybCFALHI1wCW5
7z89T04AeG4hQB1UxahFuu8/cWK+ej1wIUAAGOV5hbzvP4XJAWbHcyFAx58k
HAXB7z9kmhUW13ohQFSvo2AEyu8/70Zx3OWIIUBuzqHpAtzvPzrL+AHBpCFA
YLAx0iLd7z8U0L/De6YhQFGSwbpC3u8/0D/9LDaoIUA0VuGLguDvP/df2/Wp
qyFA+90gLgLl7z/6oiRhjbIhQIjtn3IB7u8/zTPrnUPAIUB6zy9bIe/vP+vm
GNf4wSFAbLG/Q0Hw7z/uBL23rcMhQE913xSB8u8/nYFobxbHIUAW/R63APfv
P7N9TLjjzSFACN+unyD47z/0hy0tls8hQPnAPohA+e8/F/2ESUjRIUDchF5Z
gPvvPwwol3ir1CFAzmbuQaD87z/d3VGLXNYhQMBIfirA/e8/k/6CRQ3YIUCy
Kg4T4P7vPy2KKqe92SFAowye+///7z+pgEiwbdshQEG+Gho=
          "]]}, 
        Annotation[#, "Charting`Private`Tag$5909#4"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          RGBColor[0.528488, 0.470624, 0.701351], 
          AbsoluteThickness[1.6], 
          Dashing[{0, Small, Small, Small}]], 
         LineBox[CompressedData["
1:eJwBIQLe/SFib1JlAgAAACEAAAACAAAAAPIyvTIl7T8AAAAAAAAUQF+YAFV9
YO0/g78Kqs59FUBdEFl5J6HtP3e/BgNSEhdAigoTnzrn7T9kavvwtbsYQNt3
NtAGLO4/S6ieODpQGkDJUMcRNGzuP5XW+ODavRtA56u5VMqx7j/Y8y7DhT0d
QKJyGajB8u4/+GEpY7WXHkCBrOIGcjLvPwQk7RbW3x9Aj2gNZ4t37z+cDJNO
npsgQDqQpdcFuO8/DYHsL+w1IUAscjXAJbnvPxbipDeQOCFAHVTFqEW67z+J
zIfNMzshQAAY5XmFvO8/wD3No3lAIUDHnyQcBcHvP1+RVvr/SiFAVK+jYATK
7z9a/WJP918hQG7OoekC3O8/TOhimZCJIUBgsDHSIt3vPyh3bGYmjCFAUZLB
ukLe7z9xj6DBu44hQDRW4YuC4O8/UVyIIuWTIUD73SAuAuXvP0NnVo4yniFA
iO2fcgHu7z/jQewNuLIhQHrPL1sh7+8/qmeevUa1IUBssb9DQfDvP+AWe/vU
tyFAT3XfFIHy7z+VEbQh8LwhQBb9HrcA9+8/MHgkGCHHIUAI366fIPjvP2zp
KjmsySFA+cA+iED57z8U5FvoNswhQNyEXlmA++8/s3U98UrRIUDOZu5BoPzv
P6oM7krU0yFAwEh+KsD97z8PLckyXdYhQLIqDhPg/u8/49bOqOXYIUCjDJ77
///vPyQK/6xt2yFAhLD+aw==
          "]]}, 
        Annotation[#, "Charting`Private`Tag$5909#5"]& ]}}, {}}, {
    DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
     AxesOrigin -> {0.6000000081632653, 5.}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, DisplayFunction -> Identity, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {0, 0}}, PlotRangeClipping -> True, ImagePadding -> 
     All, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox["\"x\"", TraditionalForm], 
       FormBox["\"p\"", TraditionalForm]}, 
     AxesOrigin -> {0.6000000081632653, 5.}, 
     BaseStyle -> {FontFamily -> "Arial", 14}, DisplayFunction :> Identity, 
     Epilog -> {
       PointSize[Large], 
       PointBox[{1, 8.92857142857143}], 
       PointBox[{0.8, 6.800000000000001}], 
       InsetBox[
        FormBox[
        "\"(\\!\\(\\*SuperscriptBox[\\(p\\), \\(*\\)]\\),1)\"", 
         TraditionalForm], {0.98, 9.228571428571431}, 
        BaseStyle -> {FontSize -> 13, FontColor -> GrayLevel[0]}], 
       InsetBox[
        FormBox[
        "\"\\!\\(\\*SuperscriptBox[\\(\[Mu]\\), \\(*\\)]\\)\"", 
         TraditionalForm], {0.9, 8.228571428571431}, 
        BaseStyle -> {FontSize -> 13, FontColor -> GrayLevel[0]}], 
       InsetBox[
        FormBox["\"(p(x),x)\"", TraditionalForm], {0.77, 7.300000000000001}, 
        BaseStyle -> {FontSize -> 13}]}, 
     Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox["\"Price\"", TraditionalForm], None}, {
        FormBox["\"Insurance Level\"", TraditionalForm], None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None,
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotLabel -> FormBox[
       StyleBox[
       "\"Contradiction to Atom at Full Insurance:\\n \
(\\!\\(\\*SuperscriptBox[\\(p\\), \\(*\\)]\\),1) Should Be Above Red Dashed \
Line\"", 15, StripOnInput -> False], TraditionalForm], 
     PlotRange -> {{0.6000000081632653, 0.9999999918367347}, {5, 11}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {Automatic, Automatic}}, 
     Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
      "\"Riskiness of Least Risky Full a Insurance Purchaser \
=\\!\\(\\*SuperscriptBox[\\(\[Mu]\\), \
\\(*\\)]\\)<\\!\\(\\*SuperscriptBox[\\(p\\), \\(*\\)]\\)\"", 
       RowBox[{
        "\"Riskiness of Agent Purchasing (p(x),x)\"", "\[GreaterEqual]", 
         "\"\\!\\(\\*FractionBox[\\(p \\((x)\\)\\), \\(x\\)]\\)> \
\\!\\(\\*SuperscriptBox[\\(\[Mu]\\), \\(*\\)]\\)\""}]}, "LineLegend", 
      DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0.6, 0.4, 0.2]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0.6, 0.4, 0.2]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.8, 0.5}}}], "Grid"]}, {
              
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0], 
                    Dashing[{Small, Small}], 
                    Thickness[Large]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0], 
                    Dashing[{Small, Small}], 
                    Thickness[Large]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {"Columns" -> {{0.8, 0.5}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxDividers -> {"Columns" -> {{None}}, "Rows" -> {{None}}}, 
             GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}}, 
             GridBoxSpacings -> {"Columns" -> {{0}}, "Rows" -> {{1}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.6, 0.4, 0.2], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.4, 0.2666666666666667, 0.13333333333333336`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.6`", ",", "0.4`", ",", "0.2`"}], "]"}], 
                    NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.6, 0.4, 0.2]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.6, 0.4, 0.2], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0.6666666666666666, 0., 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 0], Editable -> False, Selectable -> 
                    False], ",", 
                   RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}], ",", 
                   RowBox[{"Thickness", "[", "Large", "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.6666666666666666, 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "1"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 1], Editable -> False, Selectable -> 
                    False], ",", 
                   RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Small", ",", "Small", ",", "Small"}], 
                    "}"}], "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0., 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 0, 1], Editable -> False, Selectable -> 
                    False], ",", 
                   RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Small", ",", "Small", ",", "Small"}], 
                    "}"}], "]"}]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.528488, 0.470624, 0.701351], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.3523253333333333, 0.3137493333333333, 
                    0.46756733333333333`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.528488`", ",", "0.470624`", ",", "0.701351`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.528488, 0.470624, 0.701351]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.528488, 0.470624, 0.701351], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "Small", ",", "Small", ",", "Small"}], 
                    "}"}], "]"}]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Row\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"]}, {
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "Below"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.7067855977447996`*^9, 3.7067856495118*^9}, {
   3.7067857446588*^9, 3.7067857666407995`*^9}, {3.7067858937558*^9, 
   3.7067859034737997`*^9}, {3.7067860386298*^9, 3.7067860521888*^9}, 
   3.7067861784838*^9, {3.7067864697488*^9, 3.7067864751538*^9}, 
   3.7067865212627997`*^9, 3.7067868881798*^9, {3.7067869755627995`*^9, 
   3.7067869986737995`*^9}, 3.7067874883057995`*^9, 3.835091515864161*^9, 
   3.8350915935345173`*^9},
 CellLabel->
  "Out[181]=",ExpressionUUID->"a119acce-45a5-4928-8404-eecbe07626f8"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.7067765451387997`*^9},
 CellLabel->
  "In[183]:=",ExpressionUUID->"9a469d99-0b9a-4e7b-ada0-941d12b37797"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.6540915432288113`*^9, 3.6540915453932133`*^9}, {
  3.65409175467316*^9, 3.654091776092454*^9}, {3.654091896260868*^9, 
  3.654091934853662*^9}, {3.6540920411000547`*^9, 3.654092180647297*^9}, {
  3.6540922563704367`*^9, 3.654092260338623*^9}, {3.654094327621076*^9, 
  3.6540943374281883`*^9}},
 CellLabel->
  "In[184]:=",ExpressionUUID->"e98a3a3f-43af-46bd-be3f-36f8eff3eea7"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6540943351079597`*^9, 3.654094335136017*^9}},
 CellLabel->
  "In[185]:=",ExpressionUUID->"5c747c7d-d4ee-4918-9652-7a0519f7ab73"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.654094331380436*^9, 3.654094331814413*^9}},
 CellLabel->
  "In[186]:=",ExpressionUUID->"8c217f11-cd5e-4ad7-8c4c-6282025a2a75"],

Cell[BoxData[" "], "Input",
 CellChangeTimes->{3.65409100571297*^9},
 CellLabel->
  "In[187]:=",ExpressionUUID->"db414cb3-857c-48f6-81d0-2a4776d6011d"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.654090607208168*^9, 3.654090610351736*^9}, {
  3.654091014751998*^9, 3.654091023626659*^9}},
 CellLabel->
  "In[188]:=",ExpressionUUID->"2f56b101-7903-40ae-aad2-acdc41add0b4"]
},
WindowSize->{1651, 982},
WindowMargins->{{72, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.2 for Mac OS X x86 (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"d5c01394-2fb6-415e-8a6d-a3d945fa37c3"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 20285, 488, 1384, "Input",ExpressionUUID->"e1716c29-e1a8-42b6-9132-ae1e87fd0b52"],
Cell[20868, 512, 937, 17, 24, "Message",ExpressionUUID->"2736bf1e-051a-4098-8cb7-13b5018cd9ea"],
Cell[21808, 531, 29216, 583, 371, "Output",ExpressionUUID->"a119acce-45a5-4928-8404-eecbe07626f8"]
}, Open  ]],
Cell[51039, 1117, 153, 3, 30, "Input",ExpressionUUID->"9a469d99-0b9a-4e7b-ada0-941d12b37797"],
Cell[51195, 1122, 480, 8, 73, "Input",ExpressionUUID->"e98a3a3f-43af-46bd-be3f-36f8eff3eea7"],
Cell[51678, 1132, 177, 3, 30, "Input",ExpressionUUID->"5c747c7d-d4ee-4918-9652-7a0519f7ab73"],
Cell[51858, 1137, 175, 3, 30, "Input",ExpressionUUID->"8c217f11-cd5e-4ad7-8c4c-6282025a2a75"],
Cell[52036, 1142, 151, 3, 30, "Input",ExpressionUUID->"db414cb3-857c-48f6-81d0-2a4776d6011d"],
Cell[52190, 1147, 224, 4, 30, "Input",ExpressionUUID->"2f56b101-7903-40ae-aad2-acdc41add0b4"]
}
]
*)

