(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     62041,       1367]
NotebookOptionsPosition[     60790,       1342]
NotebookOutlinePosition[     61190,       1358]
CellTagsIndexPosition[     61147,       1355]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], " ", ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"<<", "PlotLegends`"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"u", "[", 
     RowBox[{"a_", ",", "b_", ",", "c_", ",", "x_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"b", "*", "x"}], " ", "+", " ", "c", " ", "-", " ", 
     RowBox[{"a", "*", " ", 
      RowBox[{
       RowBox[{"(", "x", ")"}], "^", "2"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"utility", " ", "function"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"v", "[", 
     RowBox[{"q2_", ",", "q1_", ",", "y2_", ",", "y1_", ",", "s_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q2", " ", "-", " ", "q1", " ", "-", " ", 
       RowBox[{"s", "*", 
        RowBox[{"(", 
         RowBox[{"y2", " ", "-", " ", "y1"}], ")"}]}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "*", 
        RowBox[{"(", 
         RowBox[{"y2", "-", "y1"}], ")"}]}], " ", "-", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", "y2", ")"}], "^", "2"}], " ", "-", " ", 
         RowBox[{
          RowBox[{"(", "y1", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"2", " ", "types"}], ",", " ", 
    RowBox[{"with", " ", "same", " ", "risk", " ", "aversion"}]}], " ", 
   "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu1", " ", "=", " ", "2"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu2", " ", "=", " ", "4"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu3", " ", "=", " ", "7"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu4", " ", "=", " ", "10"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xe0", " ", "=", " ", "0.1"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe1", " ", "=", " ", "0.25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe2", " ", "=", " ", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe3", " ", "=", " ", "0.65"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe4", " ", "=", " ", "0.85"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe0", " ", "=", " ", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe1", " ", "=", " ", 
   RowBox[{"xe1", " ", "*", " ", "mu1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe2", " ", "=", " ", 
   RowBox[{"xe2", " ", "*", " ", "mu2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe3", " ", "=", " ", 
   RowBox[{"xe3", " ", "*", " ", "mu3"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pe4", " ", "=", " ", 
    RowBox[{"xe4", " ", "*", " ", "mu4"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a1", " ", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe1", " ", "-", " ", "pe0", " ", "-", " ", 
      RowBox[{"mu1", "*", 
       RowBox[{"(", 
        RowBox[{"xe1", " ", "-", " ", "xe0"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe1", "-", "xe0"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe1", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe0", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b1", " ", ":=", " ", 
   RowBox[{"mu1", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a1"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c1", " ", ":=", " ", 
    RowBox[{"pe1", " ", "+", " ", 
     RowBox[{"a1", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe1", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b1", "*", "xe1"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a2", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe2", " ", "-", " ", "pe1", " ", "-", " ", 
      RowBox[{"mu2", "*", 
       RowBox[{"(", 
        RowBox[{"xe2", " ", "-", " ", "xe1"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe2", "-", "xe1"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe2", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe1", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b2", ":=", " ", 
   RowBox[{"mu2", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c2", ":=", " ", 
    RowBox[{"pe2", " ", "+", " ", 
     RowBox[{"a2", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe2", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b2", "*", "xe2"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a3", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe3", " ", "-", " ", "pe2", " ", "-", " ", 
      RowBox[{"mu3", "*", 
       RowBox[{"(", 
        RowBox[{"xe3", " ", "-", " ", "xe2"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe3", "-", "xe2"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe3", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe2", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b3", ":=", " ", 
   RowBox[{"mu3", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a3"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c3", ":=", " ", 
    RowBox[{"pe3", " ", "+", " ", 
     RowBox[{"a3", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe3", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b3", "*", "xe3"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a4", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe4", " ", "-", " ", "pe3", " ", "-", " ", 
      RowBox[{"mu4", "*", 
       RowBox[{"(", 
        RowBox[{"xe4", " ", "-", " ", "xe3"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe4", "-", "xe3"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe4", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe3", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b4", ":=", " ", 
   RowBox[{"mu4", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a4"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c4", ":=", " ", 
    RowBox[{"pe4", " ", "+", " ", 
     RowBox[{"a4", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe4", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b4", "*", "xe4"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U1", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"u", "[", 
     RowBox[{"a1", ",", "b1", ",", "c1", ",", "x"}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "utility", " ", "functions", " ", "for", " ", "all", " ", 
    "types"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U2", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"u", "[", 
     RowBox[{"a2", ",", "b2", ",", "c2", ",", "x"}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "utility", " ", "functions", " ", "for", " ", "all", " ", 
    "types"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U3", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"u", "[", 
     RowBox[{"a3", ",", "b3", ",", "c3", ",", "x"}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U4", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"u", "[", 
     RowBox[{"a4", ",", "b4", ",", "c4", ",", "x"}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t1", " ", ":=", " ", 
   RowBox[{"u", "[", 
    RowBox[{"a1", ",", "b1", ",", "c1", ",", "0.75"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t2", " ", ":=", " ", 
   RowBox[{"u", "[", 
    RowBox[{"a2", ",", "b2", ",", "c2", ",", "0.75"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t3", " ", ":=", " ", 
   RowBox[{"u", "[", 
    RowBox[{"a3", ",", "b3", ",", "c3", ",", "0.75"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t4", " ", ":=", " ", 
   RowBox[{"u", "[", 
    RowBox[{"a4", ",", "b4", ",", "c4", ",", "0.75"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"M", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"Max", "[", 
     RowBox[{"0", ",", 
      RowBox[{"u", "[", 
       RowBox[{"a1", ",", "b1", ",", "c1", ",", "x"}], "]"}], ",", 
      RowBox[{"u", "[", 
       RowBox[{"a2", ",", "b2", ",", "c2", ",", "x"}], "]"}], ",", 
      RowBox[{"u", "[", 
       RowBox[{"a3", ",", "b3", ",", "c3", ",", "x"}], "]"}], ",", 
      RowBox[{"u", "[", 
       RowBox[{"a4", ",", "b4", ",", "c4", ",", "x"}], "]"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"U1", "[", "x", "]"}], ",", 
      RowBox[{"U2", "[", "x", "]"}], ",", 
      RowBox[{"U3", "[", "x", "]"}], ",", 
      RowBox[{"U4", "[", "x", "]"}], ",", 
      RowBox[{"M", "[", "x", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "0.75"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.1"}], ",", "7"}], "}"}]}], ",", "\[IndentingNewLine]", 
    
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<p\>\""}], "}"}]}], ",", " ", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", " ", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<Insurance Level (up to 0.75)\>\"", ",", "\"\<Price\>\""}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", "14"}], 
      "}"}]}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "Brown", "}"}], ",", " ", 
       RowBox[{"{", "Red", "}"}], ",", 
       RowBox[{"{", "Magenta", "}"}], ",", 
       RowBox[{"{", "Blue", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", " ", 
         RowBox[{"Thickness", "[", "0.015", "]"}], ",", "Purple"}], "}"}]}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotLegends", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(1\)]\)\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(2\)]\)\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(3\)]\)\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(4\)]\)\>\"", ",", 
       "\"\<p(\[Bullet])\>\""}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"PointSize", "[", "Large", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"xe0", ",", "pe0"}], "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"xe1", ",", "pe1"}], "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"xe2", ",", "pe2"}], "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"xe3", ",", "pe3"}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(1\)]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"0.75", ",", 
           RowBox[{"t1", "-", "0.25"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FontSize", "\[Rule]", "13"}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Brown"}]}], "}"}]}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(2\)]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"0.75", ",", 
           RowBox[{"t2", "-", "0.25"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FontSize", "\[Rule]", "13"}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Red"}]}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(3\)]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"0.75", ",", 
           RowBox[{"t3", "-", "0.30"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FontSize", "\[Rule]", "13"}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Magenta"}]}], "}"}]}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(4\)]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"0.75", ",", 
           RowBox[{"t4", "+", "0.25"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FontSize", "\[Rule]", "13"}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Blue"}]}], "}"}]}]}], "]"}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<(0,\!\(\*SubscriptBox[\(x\), \(0\)]\))\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"xe0", ",", 
           RowBox[{"pe0", " ", "+", " ", "0.5"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"FontSize", "\[Rule]", "13"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
        "\"\<(\!\(\*SubscriptBox[\(p\), \(1\)]\),\!\(\*SubscriptBox[\(x\), \
\(1\)]\))\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xe1", "-", "0.01"}], ",", 
           RowBox[{"pe1", " ", "+", " ", "0.5"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"FontSize", "\[Rule]", "13"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
        "\"\<(\!\(\*SubscriptBox[\(p\), \(2\)]\),\!\(\*SubscriptBox[\(x\), \
\(2\)]\))\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xe2", "-", "0.025"}], ",", 
           RowBox[{"pe2", " ", "+", " ", "0.5"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"FontSize", "\[Rule]", "13"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
        "\"\<(\!\(\*SubscriptBox[\(p\), \(3\)]\),\!\(\*SubscriptBox[\(x\), \
\(3\)]\))\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xe3", "-", "0.03"}], ",", 
           RowBox[{"pe3", " ", "+", " ", "0.5"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"FontSize", "\[Rule]", "13"}], "}"}]}]}], "]"}]}], "}"}]}],
     ",", " ", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{"\"\<Price Function in Example\>\"", ",", "15"}], "]"}]}]}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{"FileNameJoin", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], ",", 
        "\"\<price_curve.pdf\>\""}], "}"}], "]"}], ",", "%"}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.654084761829789*^9, 3.654084766137369*^9}, {
   3.654084990861683*^9, 3.654085043148172*^9}, {3.654085615879644*^9, 
   3.654085679499654*^9}, {3.654085716731349*^9, 3.654085796293104*^9}, {
   3.654085829869647*^9, 3.6540858584446697`*^9}, {3.654085944005374*^9, 
   3.654085985384428*^9}, {3.654086021195547*^9, 3.654086021877582*^9}, {
   3.654086074848733*^9, 3.65408608045804*^9}, {3.654086119096356*^9, 
   3.654086144395257*^9}, {3.6540861749853907`*^9, 3.6540862342317457`*^9}, {
   3.654086275273429*^9, 3.654086275919475*^9}, 3.654086371223913*^9, {
   3.654086440567954*^9, 3.654086440801491*^9}, {3.654086497321967*^9, 
   3.654086580655294*^9}, {3.654086645142502*^9, 3.6540866489590693`*^9}, {
   3.6540868006208344`*^9, 3.654086810086817*^9}, {3.654086865663377*^9, 
   3.6540868924446363`*^9}, {3.6540869488674173`*^9, 
   3.6540869841551647`*^9}, {3.654087022035595*^9, 3.654087028930533*^9}, {
   3.6540871102278214`*^9, 3.65408713403084*^9}, {3.654087366361936*^9, 
   3.6540873667694902`*^9}, {3.654087457460434*^9, 3.654087782684373*^9}, {
   3.6540878577087393`*^9, 3.654087860096937*^9}, {3.654087909517391*^9, 
   3.654087921544088*^9}, {3.654087967299337*^9, 3.6540879700215683`*^9}, {
   3.654088224105817*^9, 3.6540883010327263`*^9}, {3.654088337637545*^9, 
   3.6540883383578253`*^9}, {3.654088823986524*^9, 3.654088895271007*^9}, {
   3.654088926212845*^9, 3.654088996052891*^9}, {3.654089028320209*^9, 
   3.654089030414783*^9}, 3.654089077488151*^9, {3.654089111623246*^9, 
   3.6540892774478083`*^9}, {3.654089421270298*^9, 3.654089442959364*^9}, {
   3.6540895085646*^9, 3.6540897609065742`*^9}, {3.654089793107745*^9, 
   3.654089882257058*^9}, {3.654090027393229*^9, 3.654090040217157*^9}, {
   3.654090126107752*^9, 3.654090154207101*^9}, {3.6540904676958303`*^9, 
   3.6540904920704517`*^9}, {3.654090528064599*^9, 3.654090541771603*^9}, {
   3.6540906439468307`*^9, 3.65409066167456*^9}, {3.654091030546303*^9, 
   3.654091100773958*^9}, {3.6540911314690523`*^9, 3.654091131562707*^9}, {
   3.654091175157847*^9, 3.654091196146928*^9}, {3.654091259961026*^9, 
   3.6540912811749763`*^9}, {3.6540913278227873`*^9, 3.654091363814581*^9}, 
   3.6540913988851357`*^9, {3.654091443583721*^9, 3.654091468808614*^9}, 
   3.654091504009903*^9, {3.6540920014991283`*^9, 3.6540920024282427`*^9}, {
   3.654099008976809*^9, 3.654099009886825*^9}, {3.654099054672201*^9, 
   3.654099056949709*^9}, {3.6541000364076014`*^9, 3.65410015115652*^9}, {
   3.654100223076532*^9, 3.654100252473755*^9}, {3.654100342965404*^9, 
   3.6541003450447607`*^9}, {3.6541004190025787`*^9, 3.654100512966296*^9}, {
   3.654100576173481*^9, 3.6541006236530027`*^9}, {3.654100657464992*^9, 
   3.654100659723229*^9}, {3.65410069895822*^9, 3.654100747578195*^9}, {
   3.654100959782037*^9, 3.654101253757845*^9}, {3.654340037360993*^9, 
   3.6543401874563293`*^9}, {3.654340781796336*^9, 3.654340782029985*^9}, {
   3.6548965848544283`*^9, 3.654896629971703*^9}, {3.655190568262974*^9, 
   3.655190578768423*^9}, {3.6562528772591267`*^9, 3.656252921650013*^9}, {
   3.656253021884144*^9, 3.6562530423144903`*^9}, {3.7067718131628*^9, 
   3.7067718388988*^9}, {3.7067718988588*^9, 3.7067719007228*^9}, {
   3.7067720061468*^9, 3.7067720369388*^9}, {3.7067730924827995`*^9, 
   3.7067730926018*^9}, {3.7067731253868*^9, 3.7067731344438*^9}, {
   3.7067732062187996`*^9, 3.7067732079228*^9}, {3.7067744081238*^9, 
   3.7067746378107996`*^9}, {3.7067746824337997`*^9, 3.7067748062578*^9}, {
   3.7067748753387995`*^9, 3.7067749397067995`*^9}, {3.7067750414318*^9, 
   3.7067750482187996`*^9}, {3.7067750809458*^9, 3.7067752521377997`*^9}, {
   3.7067752838658*^9, 3.7067752860738*^9}, {3.7067753563468*^9, 
   3.7067753566258*^9}, {3.7067754542908*^9, 3.7067755288577995`*^9}, {
   3.7067755946108*^9, 3.7067756284097996`*^9}, {3.7067756914188*^9, 
   3.7067758537858*^9}, {3.7067758895218*^9, 3.7067759154337997`*^9}, {
   3.7067761493947997`*^9, 3.7067764017948*^9}, {3.7067764511147995`*^9, 
   3.7067766280657997`*^9}, {3.7067766695067997`*^9, 
   3.7067767648907995`*^9}, {3.7067768267008*^9, 3.7067768791068*^9}, {
   3.7067769577718*^9, 3.7067769858177996`*^9}, {3.7067770271877995`*^9, 
   3.7067770287307997`*^9}, {3.7067771096759377`*^9, 
   3.7067771123534727`*^9}, {3.706777156523305*^9, 3.706777166093219*^9}, {
   3.7067772864612875`*^9, 3.7067773583612328`*^9}, {3.7067800458087997`*^9, 
   3.7067800844488*^9}, {3.7067801246328*^9, 3.7067801758898*^9}, {
   3.7067802288728*^9, 3.7067803982257996`*^9}, {3.7067804597528*^9, 
   3.7067806048018*^9}, {3.7067806540738*^9, 3.7067807450098*^9}, {
   3.7067808356577997`*^9, 3.7067809363478*^9}, {3.7067809871308*^9, 
   3.7067809989058*^9}, {3.7067811603217998`*^9, 3.7067812220108*^9}, {
   3.7067812813538*^9, 3.7067813390908*^9}, {3.7067813860758*^9, 
   3.7067815262018*^9}, {3.7067815863938*^9, 3.7067815938907995`*^9}, {
   3.7067817122678*^9, 3.7067817298817997`*^9}, {3.7067818550028*^9, 
   3.7067818598428*^9}, {3.7067819001868*^9, 3.7067819636658*^9}, 
   3.7067829861938*^9, {3.835091683329297*^9, 3.835091685202303*^9}},
 CellLabel->
  "In[333]:=",ExpressionUUID->"64cd8d25-b61e-4ca0-a367-4a31871862f7"],

Cell[BoxData[
 TemplateBox[{
  "General", "obspkg", 
   "\"\\!\\(\\*RowBox[{\\\"\\\\\\\"PlotLegends`\\\\\\\"\\\"}]\\) is now \
obsolete. The legacy version being loaded may conflict with current \
functionality. See the Compatibility Guide for updating information.\"", 2, 
   334, 8, 25229454510547344880, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.7067813402098*^9, 3.7067814283887997`*^9, {3.7067814741647997`*^9, 
   3.7067814907858*^9}, {3.7067817149867997`*^9, 3.7067817309908*^9}, 
   3.7067818602637997`*^9, {3.7067819032268*^9, 3.7067819644698*^9}, {
   3.7067829237757998`*^9, 3.7067829360838*^9}, 3.7067861876768*^9, 
   3.8350916891586037`*^9},
 CellLabel->
  "During evaluation of \
In[333]:=",ExpressionUUID->"eedc71be-6098-42ff-b92d-5904a3cdd909"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{{{}, {}, 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[0.6, 0.4, 0.2]], 
         LineBox[CompressedData["
1:eJwt0Hk41HkABvDp2rFTUs9qipaHHI/0tDZbrtKri1ZbaB9jcpXBoCQhSuVB
6dIkR5sjRVvR8uyzjoiOocLIsWyTozJX8h1jyWDJML/ZbZ8+z/M+7z/vX68x
58je4Lk0Gs3lv3xumxxCn3EsR27OZzX8Xu9DVlFxFXBfJ7BJ3/OAv9SFx613
qoaFA3PTOqcC/pcdhnr93k/fZfCXCIPLbX0eoWvax2HYIRsmRuH3Uzh8aCKS
5CJJBez6DrdsyajHba12x2ZWHepViT8J857Dpkx5ItqhCaF8geBpcgO4aa6x
nTfakBNYpL/sQBP4cqfQ7sFOrGVLJ6ngZkTyGC8ubH0N0bhbu9OPLSh1NUr4
6NODMbHe90zPNjim7V0QXfYWV0viQ7y8/sTsuWZVw6gIc2ifdWCT8bJYb40Y
5jpau4/ndaA2SqmnNy1BVWRiyZVbnei2ONhhfl0GoVkm3SPjL5QIKnrymP0w
PfPKwi/nFfIz10uE5R9g7y5efytPiJeWB9IcthP0RaZs5l1+jYWHA/bUVstR
br9PuyG9C1vs5BHOLgowWU29xSndeKDc+dClZgiQ0dKfxfTgsdr37RrjYeQw
Q7XNj/ciN6TNNezOCJJvhp3fcPAN9vmNTAUtGEV+e3bjlci3YC1u9frUMIrT
EZmjBlHvkJgwTg9IUmIowGLFPk4fpLrM6MrvxpCqVswXcUV4ttPdT2dwDLV/
u3xc7C2G1mxmRPK18S9/SOB0s2tyHWMCXWZ2MgdTCYRGm4vNHCcQujrQKvOu
BJWVC5bHKSdQz/I5ucVQCs4vnBjb7H/wA1txX7dQCu2vzt/23TWJ8DPO3Y4r
ZdAP7NxvqJzEBa6Wak6mDDFundHWGVN4YhCgUei+x+9y5j0PfEINdW6e5ZX3
eMN4lBUk/oT2im0K3tJ+zFew5Xap02gw4jZezujHmEl12DZrFVr/14/fDPJX
q06pcLbas1DK+ICEqmMjua0q+K565+/D+4CL7nNXsaNmMFNltXINfQDe+ot6
0xbO4tS8wdZrCQNwGdZ5yi6YBdPUPsCMRlC/WyVe66RGXARrgnGCIPbl82jh
KzW+tQkSmJ8kWPIwKy6oS4069dEbW08TMMvu+U/0qMHg8bbHJxFENvC6vhGp
cbPkRdbgRQJWXOhhD7kajXLrDYJcApnGzbZpVg3dQJ3YlMcEml/JxnwzCjWW
Bq6FTwnCNb1Fqy0o+I9ZGj6pI9jF1Z56YEmhOMm5ceIFgQfLFu1WFDYWnGYG
tRGk8q/Hqu0pcPqGqraKCARVl5JYeyjQ705f8pcQmDbzjKXuFErD6fvjZQSK
gc47h36mMDmzil4+QNC03cAzkU3hkr63l/FHgj8u1vkWcyhYyULWOCoJkqda
mNbBFIT3j2nY4wRPIldUPgqhYGifXnR1iiAlJSa7PZzCc9qtk6XTBEuNz4q9
jlAIFZS6CWYIFgqEX0uPUlh0tdakX00QFc9dfjCGQpmXYEqjIdhhZ681Hkvh
XwNKSbU=
          "]]}, Annotation[#, "Charting`Private`Tag$6670#1"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[1, 0, 0]], 
         LineBox[CompressedData["
1:eJwt0Hk823ccx/E4KvIzzONBGKUo5mjLQ+lj2urn6yhruq5jiHtuQVmwjcXx
WKluRcxdR11Vqw49dDOUploibcm01FFNEOHX0ocjUR6uZLPHno/H6/H+/20Q
8q17uCyBQED/trd/JlavHz3dCxXlezpYNBaH8zCjD4Lyew+NKVxnlYfe1NYI
6geHj28kHUm7A4e9Z9Yl4U/BOYUhzrTpA774PBedeQ4bhpNpk+whEE19YkX2
HISxku4SSswY5DcxIqnUv2G5rFSnfJYHMoQ9QxBj3XGiXTIFJqqK55Irh+D1
09ph95UZaKP/1JRX8wJOjsuKfMzmYMS4iOhW+BL0wrevJxq/BaPMYdOA8mEI
fPBy4Z3vIth9NWVTUzkC4z3dUeOMJeDRs04xc19BO0+1terOCrTa+Sj3FYzC
VSvl+/32IiB79U80Zo1BW0KxweXbYgABoeDxd+NATXZUstX4AOVkmrJJ8gRk
nCYesbi6DhnVUT/bRr+G9MYryiE7G1DFLWPn0SehoN4p9svUTUiLK1rRTXgD
c2JRtXh1CxaDTbV8QnggiQ/bl312B3J2F+T5EXw4melxQ5+1C53vXZdVfKdg
l1sUKasp/f+PaSh2Cp74QyqFUePPBMeNpqHdeTW20ZqAaGahlkUN06BmJgpM
miegHi+/FAe9GeA0pz/vyZVBR70XbqnXzYDaFt0lBmTRhUyXMXsdATi53qN1
C2XRLxGKWzJFAlCqce2MzJJD3brB0gX1WdASBp/TspZHHZLLcuZ5s1B4e/RV
/wt5xL3vtMBUE4KuNtTbpO1DffoR7NxCIbhRDrB4BxXQwH+E8IXv1z7RcQro
0l+edTPYHByScK353QrI3/BNoB9zDkofqOg7hBLRdpuljgVxHtoaWXTTHSJK
lXs3UJI+D7WtFp/+lq+IyEZ2wcYEHKqWjj87bEVCSXFea9iPOPyuUjj96xMS
2n8sjGOSgoPNmqhTj01Cj3bjrzmm4aCZyk9u4ZAQxmQ6My7i8CHBs+bZIAlV
N/UWv7uCw87O41K5cRJiv7W25VTgcCzjmiX9PQmph6r+kNWFQ6zbGZKNBoY6
zHUpdQ9xiM6QeLA0MRQoMtfrfoRDn+epSxRtDDVedGGv9eKQMxvADDqAoRO1
aeSwQRzCK/dTcswwFMJbbHPk40BJLYudtMcQsWEzO3AaB/nhjdUwhKHmC8Rv
GAIctAZmfJYcMbS+bUhsncfBq8FzhPA5hrK1fakGyzjorHUlGrljyFIQaWG/
isPdgHj1Fg8Mjdz6XuotxqE+6m6ZLRVDenYFN/M3cKigcc+6+GPoCaEmpXkT
hxq/FgY3EEM0TvN5zjYOhFUy0ysYQx/ldx4U7uLQZaqUyQ/F0D0qZ0MqxWFY
Nts/IgJD/wBvp+zb
          "]]}, 
        Annotation[#, "Charting`Private`Tag$6670#2"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[1, 0, 1]], 
         LineBox[CompressedData["
1:eJwdxQ1Qy3EYwPF/hlEJU/uRGqN1qksUTtQ9j5ervJ28VeTKVk2S1/Qmc14S
yjLFKb2Zobo6729FyaXdziUv5+WQbGvtpxVFU1bWyOfue1++aNfamGEMw8z6
19D9+8+QkUEf4EL+kKrH+dzYMa4pHwDtmrZUcxWPjxRvOz437iOUva11Skp6
BUVNecrs3Z/Ab9ui5OBVrSDZmdvtvLcZbAWG6A7JN+gQzpi4UfQZ9PE8H5u4
HsgyG4a3iFugE544KUS/obozsMtu0xfINI4Oz+v+A1bMEDVou7O3vzdb4J1g
vnaBixo47RUpknIGY92ivHKvqIFcvmZpGxyGT0LC0xbxNGDWT2nbxx+BPmGG
cnu5Bkb6xihdxGyMPxrw3n+yFsK21LgFpo7GE+JR/Va5WmBE3tb5yTZY4yy0
GOxbIeNql/HguTFYNZjBcs9uhZl3zKY16WOx6fYSg3S8DnLWxXkFq8Zhw1Sx
8lSODm7VUXlZ/Xhs/E8H4zR8ltSbg+n3N8g11m0Qmm6X+6iMg5unNUeES9sg
UZ0kxoIJOHDPa7IHWw897/zWC1Ls8QCrvfHcQT28CpJUZaxwQK6Lr1DAUJi4
cXMCx4OLyTtDjNapFISzra4v7OWi07xolWsahT7PSR3VJi7WmfcULpZQuPFQ
Vutr5qK1VLp0/2EKOZnFHvOGEyyueHq2/SQFpncOz51DUPnVe67qAgUZa1XM
oCdB+6ixScceUcgyuaWFxRCscndeLq+lUOg4R/EslmDET3deTR2Fl41FIr94
gmWHA5TGpxQu6U6X8hIILrwo4UY/p9Cr+b6s5RBB0eeOe4tbKIRMyOteVkiQ
fcWUGaGmoAgoyL5bQrAynh25X0vBwWawfqqCYO/ANPYtPYWoQK3xVznBTMdN
ofwuCpVSwa6C+wS9tFs9/H9QmLRcoGI9JPimPNES1kOh9Hz6g+21BHm+Z0pl
fRR89MLIBQ0E65mStEoThZn0i4NcRTBWVblaNUBhZWpNFLuRoK2serrOTOF0
YX/QjhcEb4aq+iwWCsbg8w2vXxP8C5LGcC4=
          "]]}, 
        Annotation[#, "Charting`Private`Tag$6670#3"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[0, 0, 1]], 
         LineBox[CompressedData["
1:eJwBsQJO/SFib1JlAgAAACoAAAACAAAAdjv8wwqV3j+amZmZmZm5v7rsR+8O
Wt8/cEOKYm3U0D8BAAAAAADgPy6mRqMVA+I/1iU44jok4D8A81Wi5jPmP2gp
Yy+TpeA/SFJ/rLhu8j/BVlt7QR7hP0zud8LdIfk/M1jqqRSh4T8Kp5uYAh8A
QGyDRtc9G+I/InGesmxeA0CIZgj6AZPiP8x2QGRMfAZAvR1h/+oU4z+EMUUB
c8oJQLn+hgMqjuM/tKEl2AvODEDOs0PqjRHkPxwmShRy/g9AxSBmxoyS5D8C
ebwR/YURQMzMzMzMzOQ/KGlovh8yEkCEt1Wh4QrlP9imOs6U6RJAXCLcXluN
5T+O+/P1aWEUQPu2LxsrB+Y/qEh1USW3FUB8A+nMlX7mP3oaPpSW/RZAFiQ5
YSUA5z8i0n6nKVYYQHduVvQKeec/LN0LX6+OGUAcNmTIJnvnP+CUpxYPlBlA
wP1xnEJ95z/2GdggbpkZQAqNjUR6gec/PIz3LCqkGUCeq8SU6YnnPzQRMCSa
uRlAxugyNcia5z/inIeOWeQZQBRjD3aFvOc/HrvQUlY5GkC5Kh1Kob7nP6we
Bl2gPhpAXvIqHr3A5z+QT9C56UMaQKiBRsb0xOc/ehkja3pOGkA7oH0WZM3n
P7ZNwqyTYxpAYt3rtkLe5z/yN+erpY0aQAel+Ype4Oc/YHFp3+SSGkCsbAdf
euLnPzZ4gGUjmBpA9vsiB7Lm5z/s7WxpnqIaQIoaWlch7+c/2Hk/UIy3GkAv
4mcrPfHnPzweaBjGvBpA1Kl1/1jz5z/6jyUz/8EaQB45kaeQ9+c/pNteYG/M
GkDDAJ97rPnnP4C12nKm0RpAaMisT8j75z/EXOvX3NYaQAyQuiPk/ec/XNGQ
jxLcGkCxV8j3///nP1oTy5lH4RpAy+0/8g==
          "]]}, 
        Annotation[#, "Charting`Private`Tag$6670#4"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          Dashing[{Small, Small}], 
          Thickness[0.015], 
          RGBColor[0.5, 0, 0.5]], 
         LineBox[CompressedData["
1:eJxTTMoPSmViYGAQA2IQ/cM7b25AfoAdAxS0pahrnFfTs4fxz757ktWrZgfn
f9js3JOj5gfnN4l9lolRi4PzTx/3ehqslgfn5y8oO+mvVgfnH+zp2e2r1gfn
s7IVsb/Mmg/ne9Yntm4NWw7nb69Mvbv04jo4/2ZUtn5R+WY4X9C9N+2gw3Y4
32XlHnvtQAS/gvuNxNREBP/Bea/TGU0I/oYIDgOBIwh+QFbzzzj3HXD+hN7K
nj++O+H8I+9XpKbFIfg/Am/YXchD8MPMZAzfdiL4APFxUuA=
          "]], 
         LineBox[CompressedData["
1:eJwVyX1QkwUAx3GgKJK76iA8sQ426hJKjlHytqLfgESHngoiUycbB24iqGA7
hCiIcW54V4TiQSJ4eOipU7KNt2MbMDE5NuaeZ0s2Orc9j0PFtdglQwdynGV/
fO/zx5dZXJEnCgoICEh61f9Sq2uDshVqPIgpuxkTtg36+22XqpVqLD+UfbJP
txurX05877qlxpElv37geRFY3c/2bLOoYeY+b5GHluJg4EcJgy41NnrSPUxm
Bc6V7A6J9qkxUu4uz3pfgoDYPo0vTAONqWyogFULs7Ii+ny+BkvKdmHnxpN4
Pbx7+TWRBn7J6IG2BRlSqwjL0SoNPpsaGpMONeFiWvzJjHYNZllMVSLnR1Te
9rjdMxoIJZ4N1XFn8O60qC+Fr4XtBZ/tZZ8Dx5vhyS/XIpPKDqTWdaDyjaiY
b77TwnH3pzS9vwOWVNuZ3k4tPPq4l6f6OtF6Ifs406GF+YtrM9q4bkQc2sAK
LRzBTbldJAm9hPUr7l8pwSiOJbztiPUr8CHjiEJWrMO/x6Ru6kE/Up1HjRmt
4+gJIdINBbcwvtKwfbrzdySrFr6VsCdRqtPrxxonIG7JOWHpMqGj5Or6iKJJ
6Nyc0pm/LIjf6/K/FBlQ2bzmzqlMK6jFnQSHa0RvDqP+H/6f8NGRrLV7TEhv
yQuWqOxglCxtii40oakpMrZuzI6dc9NpsSITcLZpVm60o3e+JYtdZcL8o71R
HY/tEL8I5gnaXv3jZtVwpAP3w3x1V6wm3IsP3/pI6sD45iljcgGBy8lPEr25
TjzVXzVDQCCt6zTXI3AiarvMulVMICXCtTxX7kRtHofef4JARUZ1FC1zYpNw
yFffTmC2sUY2pXbiWk1P5KSNgFJB3G5mUjh9o/YQj0diVW5YmXhKgR+4+a5V
QGJeLbfZVil8zHsnMV9MIjW6kfckhMZI0OWVXVUkPA2fc99k0nDvMzXnnCXR
f7Hh78xcGv2//eLTnyfRKk5Y2FVIoz64mLelh4RJ8EGX4DCN91R+xtcqEgfm
lK4aKQ2EMAbSSRJ07p1PFSoaawSedSM2EjeuH+QPjNKY7h+oY1Mk/kjKYukM
NLrf+mF2+DGJ/YvC6wYrjTIhd0uKl8RXDzWGey4aSYPhvYPPSEiD8392emkU
7Rg3xi2T2MGWDx9epPEfw0m4EA==
          "]], 
         LineBox[CompressedData["
1:eJwVkmlQlAUAhkkQAUEwjghEggS5NOIyJugVlqOpURFJxOHQlU05XZArEdBl
lgAR5RKQywANpAgX3DGJSK0WZpK+BZTl2u/bZUniZglIYPeLfrzzzvPnnefH
a8G8GMjapqKigq383/2nzE1mVAmEsXV/ytOm4JhTWxesSSBA0WYiM6Ng9FC1
30iHQNTwi3TKloJEvc+tzIDAEYd0R5EXhVQeU6X4fQIzHo3nnidQCB0XOB3f
T+DEUN+xrgwK3hoHWHr2BBrXzaX8PAra4Wu9hU4E1kZd3zR9Q6Fes6DkuheB
rzQdl3KFFPrOPLLmRhAQ6oZrfPShBNa6GkfSqgiM9N4dCFyU4LvFa/dz6wgU
zuYsMRQSOPVv0BUNBPiSJ/dctKRA2QLvxxYCsQxtocE+KU6ZDhlvdBKIkAU5
E8FS5O+/L8sYIxBZnWHt3C3FPHyuZJsJsSpzEDTfmACffbWlsE4ID9E2eYjt
JAatSnYcL+7HXtZG/SWrKezLHrAJqxxAeGf/9N+nZ+AeQLrUVQ1C9LQrSnR5
HuNs7ic3Cl7i8bgur+aHRfDcQ3R+K3qFckeddoGnHEYnBcNN3CHwE0stclqX
AalK0bMkEYLTvHe6Gq6g0uiCjnXaMDi+Ow7al6+CUxv1tWv0CDKb8nSYm2uo
6av4vZA9iqIGRtzRK2+QEV+yaJY4hsllee3y0jpmztoYhzDHoUyI3J7/+Sau
K6bVxF+K4ZEd1PhetwKfJpT2PIgWYy51YIT7qwJqk54FqfFihOzcOzHdq0Dm
H7f0d6eIkbTLKKpjUAF2lZulD1eMKm7RZ77TCpx05+BBgxiPD/HPhRsqYZn8
7uUUSgz7Fv58XIwS5NQzT4ZMjM7U5vAXbCWqQ2Pf0psSQ2Pi/F2HFCUMfbpz
mxfEIMv8K6evKqGhzyofU4rBiS0+E3lbifm2tg5vMxKV41/4HnuqxJNZ/4Vd
p0ko+krOb3uHhlthdX5PGAnJkL6x1x4avA+WrDhnSWj1OVRnWdBoTrwTunKB
hB3H1nzTnkbFv7O9o6kkWjWP6i0fppGiVtzYVLbFZYw6UTQN+b2/wKwk8Tox
MM+ATSPe/+NR0xoSLM91v4BkGqx82e6bjSQO3DHwFGTRCNI7lJXcTkL1UpJB
eykN5z1jId5CEltfvsj5mUZrl+PKxiAJlxOZJZ3PadhFcG89EpFQl3fk/9ND
w7L+oMCGIpG+NrvMGqBRy8hmSidImIbPs2pFNEwmhxRVr7f2ebktr8ZpvG1z
zUV3gUS9Re5Dvykahb0v/+yRkwjxnEvInKOhFWMXw1klEeQ3s50vp5GjnaXu
sU7itgcnbm5ty+9batJgk8Qv3zffzF6n8R9HZw/I
          "]], 
         LineBox[CompressedData["
1:eJwVxX1MzGEcAPDfVXqV7vnVrXXt0iUnVJf3Muf7JS5OFLXkbdPbIcpGKy+7
TKm1EaWSDO28pfUiJ0QavUkmFZPY0nN57k6XjbVaYlf447OPNP7wtiQrjuOC
/vl/crVL/riAgp3TeFaQA4crO7+FFNpQSFHy0oMiDn95FNml2lJQ0lFrmReH
j5IVH1T2FKLaikOpjMO0RtONeY4ULoxODJbJOfy5e9VqvTOFqgArudMaDk3l
hrRoEQWFl0xmTOCwb27w0EpfCvxw1TFNJYes91AoyigUph9tNus4HNVob633
o+DXbaPa/oxDlz7HfZH+FG7qz4gDuznckDswkrSUQu3Z3w3vxjh8aswaL1hH
IXiscWQCBFhe0WVvSqTg417qp/sgwP3zE+RFtym436qdNkxZYXPMrpNrvPRg
Mc42pEln4JJYc6WbVg+2IUkvfdV2eChb+VHhOQSxe5vmhx13wDy1/W9B0RBw
8YsdyzKcsEkSN212+wq5d36MZZY445OpXOsF579CYL1lcusZF3z7INScTxhc
jEqWR74SYpai3lDoysAyvDR64xshLu/w1ZeIGHyXHvBY2yPE659n9F/zYBCW
Pitncb8QUwSv2mukDKbrwvWzvglxZkS4tmsRg8zU0pqHdgRV5uhY520MKh3U
JY1KglNH26NINAPPnsSOuyqCOsuyCFEMAz64q6xkC0ExcVdKdjLQfP88OzWG
4PCKT0sC4hlEmYbrxGqCeTl7XDYfYeA8t88Yl0Ow3Vv98txFBroXJu3dVoLe
g70eqcUM9AmdAWEdBE9cU6REXGKweb9GbXhNMEgscuOvMPhTvPuL9zuCV13b
4kq1DPI0E6YiSjDN1seirWOQdLY8PtlCsLstPzJbx6B3bUWjtYDHBdmTNxPr
GeTuOt181YZHOt2jmtfA4Eld9fsuJx7DJ09drn7OYJN5kPiLeax4PDKS38xg
oOpEb4uER6v07XC4lcG9tybFDimPDaOBxkUdDOYEh0hy/Hh0vX8lxLWTQUum
pEDsz2OidxN8fM1gzHPhQIacx7/2Sl1G
          "]], 
         LineBox[CompressedData["
1:eJwBIQLe/SFib1JlAgAAACEAAAACAAAANHncWcLO5D+o1ime/TgSQNpotdp5
0uQ/nuB8VvhDEkCQ5YyBPNbkP+DEK9kRTxJA/N47z8Hd5D8Ucx9oPmUSQNTR
mWrM7OQ/HGZerH2REkCEt1Wh4QrlP9imOs6U6RJAXCLcXluN5T+O+/P1aWEU
QPu2LxsrB+Y/qEh1USW3FUB8A+nMlX7mP3oaPpSW/RZAFiQ5YSUA5z8i0n6n
KVYYQHduVvQKeec/LN0LX6+OGUAcNmTIJnvnP+CUpxYPlBlAwP1xnEJ95z/2
GdggbpkZQAqNjUR6gec/PIz3LCqkGUCeq8SU6YnnPzQRMCSauRlAxugyNcia
5z/inIeOWeQZQBRjD3aFvOc/HrvQUlY5GkC5Kh1Kob7nP6weBl2gPhpAXvIq
Hr3A5z+QT9C56UMaQKiBRsb0xOc/ehkja3pOGkA7oH0WZM3nP7ZNwqyTYxpA
Yt3rtkLe5z/yN+erpY0aQAel+Ype4Oc/YHFp3+SSGkCsbAdfeuLnPzZ4gGUj
mBpA9vsiB7Lm5z/s7WxpnqIaQIoaWlch7+c/2Hk/UIy3GkAv4mcrPfHnPzwe
aBjGvBpA1Kl1/1jz5z/6jyUz/8EaQB45kaeQ9+c/pNteYG/MGkDDAJ97rPnn
P4C12nKm0RpAaMisT8j75z/EXOvX3NYaQAyQuiPk/ec/XNGQjxLcGkCxV8j3
///nP1oTy5lH4RpAbOsEVQ==
          "]]}, 
        Annotation[#, "Charting`Private`Tag$6670#5"]& ], {}}}, {}}, {
    DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
     AxesOrigin -> {0, 0}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, DisplayFunction -> Identity, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {0, 0}}, PlotRangeClipping -> True, ImagePadding -> 
     All, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox["\"x\"", TraditionalForm], 
       FormBox["\"p\"", TraditionalForm]}, AxesOrigin -> {0, 0}, 
     BaseStyle -> {FontFamily -> "Arial", 14}, DisplayFunction :> Identity, 
     Epilog -> {
       PointSize[Large], 
       PointBox[{0.1, 0}], 
       PointBox[{0.25, 0.5}], 
       PointBox[{0.5, 2.}], 
       PointBox[{0.65, 4.55}], 
       InsetBox[
        FormBox[
        "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(1\\)]\\)\"", 
         TraditionalForm], {0.75, 1.6540404040404044`}, 
        BaseStyle -> {FontSize -> 13, FontColor -> RGBColor[0.6, 0.4, 0.2]}], 
       
       InsetBox[
        FormBox[
        "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(2\\)]\\)\"", 
         TraditionalForm], {0.75, 3.0500000000000003`}, 
        BaseStyle -> {FontSize -> 13, FontColor -> RGBColor[1, 0, 0]}], 
       InsetBox[
        FormBox[
        "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(3\\)]\\)\"", 
         TraditionalForm], {0.75, 5.655882352941176}, 
        BaseStyle -> {FontSize -> 13, FontColor -> RGBColor[1, 0, 1]}], 
       InsetBox[
        FormBox[
        "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(4\\)]\\)\"", 
         TraditionalForm], {0.75, 6.969999999999999}, 
        BaseStyle -> {FontSize -> 13, FontColor -> RGBColor[0, 0, 1]}], 
       InsetBox[
        FormBox[
        "\"(0,\\!\\(\\*SubscriptBox[\\(x\\), \\(0\\)]\\))\"", 
         TraditionalForm], {0.1, 0.5}, BaseStyle -> {FontSize -> 13}], 
       InsetBox[
        FormBox[
        "\"(\\!\\(\\*SubscriptBox[\\(p\\), \\(1\\)]\\),\\!\\(\\*SubscriptBox[\
\\(x\\), \\(1\\)]\\))\"", TraditionalForm], {0.24, 1.}, 
        BaseStyle -> {FontSize -> 13}], 
       InsetBox[
        FormBox[
        "\"(\\!\\(\\*SubscriptBox[\\(p\\), \\(2\\)]\\),\\!\\(\\*SubscriptBox[\
\\(x\\), \\(2\\)]\\))\"", TraditionalForm], {0.475, 2.5}, 
        BaseStyle -> {FontSize -> 13}], 
       InsetBox[
        FormBox[
        "\"(\\!\\(\\*SubscriptBox[\\(p\\), \\(3\\)]\\),\\!\\(\\*SubscriptBox[\
\\(x\\), \\(3\\)]\\))\"", TraditionalForm], {0.62, 5.05}, 
        BaseStyle -> {FontSize -> 13}]}, 
     Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox["\"Price\"", TraditionalForm], None}, {
        FormBox["\"Insurance Level (up to 0.75)\"", TraditionalForm], None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None,
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotLabel -> FormBox[
       StyleBox["\"Price Function in Example\"", 15, StripOnInput -> False], 
       TraditionalForm], PlotRange -> {{0., 0.7499999846938775}, {-0.1, 7}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {Automatic, Automatic}}, 
     Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(1\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(2\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(3\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(4\\)]\\)\"", 
       "\"p(\[Bullet])\""}, "LineLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0.6, 0.4, 0.2]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0.6, 0.4, 0.2]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 1]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 1]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 0, 1]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 0, 1]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #4}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}], 
                    Thickness[0.135], 
                    RGBColor[0.5, 0, 0.5]], {
                    LineBox[{{0, 10}, {40, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    Dashing[{Small, Small}], 
                    Thickness[0.135], 
                    RGBColor[0.5, 0, 0.5]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {40, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #5}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.6, 0.4, 0.2], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.4, 0.2666666666666667, 0.13333333333333336`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.6`", ",", "0.4`", ",", "0.2`"}], "]"}], 
                    NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.6, 0.4, 0.2]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.6, 0.4, 0.2], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0.6666666666666666, 0., 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 0], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.6666666666666666, 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "1"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 1], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0., 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 0, 1], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   RowBox[{"Dashing", "[", 
                    RowBox[{"{", 
                    RowBox[{"Small", ",", "Small"}], "}"}], "]"}], ",", 
                   RowBox[{"Thickness", "[", "0.015`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.5, 0, 0.5], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.33333333333333337`, 0., 0.33333333333333337`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.5`", ",", "0", ",", "0.5`"}], "]"}], 
                    NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.5, 0, 0.5]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.5, 0, 0.5], Editable -> False, Selectable -> 
                    False]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{{3.7067829241938*^9, 3.7067829362957997`*^9}, 
   3.7067861879068*^9, 3.835091689314883*^9},
 CellLabel->
  "Out[372]=",ExpressionUUID->"c51c9a71-b98e-47b8-8873-a1419f3e5cf5"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7067829013198*^9, 3.7067829324248*^9}},
 CellLabel->
  "In[374]:=",ExpressionUUID->"f0f1c408-5b93-4db0-96d8-a266fb5e87a8"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.7067765451387997`*^9},
 CellLabel->
  "In[375]:=",ExpressionUUID->"07188ff6-d2f1-4ccd-aaa4-cf0760a1228d"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.6540915432288113`*^9, 3.6540915453932133`*^9}, {
  3.65409175467316*^9, 3.654091776092454*^9}, {3.654091896260868*^9, 
  3.654091934853662*^9}, {3.6540920411000547`*^9, 3.654092180647297*^9}, {
  3.6540922563704367`*^9, 3.654092260338623*^9}, {3.654094327621076*^9, 
  3.6540943374281883`*^9}},
 CellLabel->
  "In[376]:=",ExpressionUUID->"aa693f96-5323-423e-a94e-d517ccffeb8c"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6540943351079597`*^9, 3.654094335136017*^9}},
 CellLabel->
  "In[377]:=",ExpressionUUID->"b7bdf262-aac5-4d9e-a05e-8553b35fb0ec"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.654094331380436*^9, 3.654094331814413*^9}},
 CellLabel->
  "In[378]:=",ExpressionUUID->"e6b7e884-024d-4ece-87fb-c11aa870ad89"],

Cell[BoxData[" "], "Input",
 CellChangeTimes->{3.65409100571297*^9},
 CellLabel->
  "In[379]:=",ExpressionUUID->"ce65b227-d517-4ae5-9955-8b75dca8fe8b"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.654090607208168*^9, 3.654090610351736*^9}, {
  3.654091014751998*^9, 3.654091023626659*^9}},
 CellLabel->
  "In[380]:=",ExpressionUUID->"2281c9a4-d09c-4754-9d07-9ff6cefd219a"]
},
WindowSize->{1337, 982},
WindowMargins->{{Automatic, -13}, {Automatic, 184}},
FrontEndVersion->"12.2 for Mac OS X x86 (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"1f0d2dc1-e1a2-41af-911c-769cc7fe3515"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 21665, 529, 1522, "Input",ExpressionUUID->"64cd8d25-b61e-4ca0-a367-4a31871862f7"],
Cell[22248, 553, 794, 16, 24, "Message",ExpressionUUID->"eedc71be-6098-42ff-b92d-5904a3cdd909"],
Cell[23045, 571, 36177, 727, 290, "Output",ExpressionUUID->"c51c9a71-b98e-47b8-8873-a1419f3e5cf5"]
}, Open  ]],
Cell[59237, 1301, 171, 3, 30, "Input",ExpressionUUID->"f0f1c408-5b93-4db0-96d8-a266fb5e87a8"],
Cell[59411, 1306, 153, 3, 30, "Input",ExpressionUUID->"07188ff6-d2f1-4ccd-aaa4-cf0760a1228d"],
Cell[59567, 1311, 480, 8, 73, "Input",ExpressionUUID->"aa693f96-5323-423e-a94e-d517ccffeb8c"],
Cell[60050, 1321, 177, 3, 30, "Input",ExpressionUUID->"b7bdf262-aac5-4d9e-a05e-8553b35fb0ec"],
Cell[60230, 1326, 175, 3, 30, "Input",ExpressionUUID->"e6b7e884-024d-4ece-87fb-c11aa870ad89"],
Cell[60408, 1331, 151, 3, 30, "Input",ExpressionUUID->"ce65b227-d517-4ae5-9955-8b75dca8fe8b"],
Cell[60562, 1336, 224, 4, 30, "Input",ExpressionUUID->"2281c9a4-d09c-4754-9d07-9ff6cefd219a"]
}
]
*)

