(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     55450,       1236]
NotebookOptionsPosition[     54199,       1211]
NotebookOutlinePosition[     54599,       1227]
CellTagsIndexPosition[     54556,       1224]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}], " ", ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"<<", "PlotLegends`"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"u", "[", 
     RowBox[{"a_", ",", "b_", ",", "c_", ",", "x_"}], "]"}], " ", ":=", " ", 
    RowBox[{
     RowBox[{"b", "*", "x"}], " ", "+", " ", "c", " ", "-", " ", 
     RowBox[{"a", "*", " ", 
      RowBox[{
       RowBox[{"(", "x", ")"}], "^", "2"}]}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"utility", " ", "function"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"v", "[", 
     RowBox[{"q2_", ",", "q1_", ",", "y2_", ",", "y1_", ",", "s_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"q2", " ", "-", " ", "q1", " ", "-", " ", 
       RowBox[{"s", "*", 
        RowBox[{"(", 
         RowBox[{"y2", " ", "-", " ", "y1"}], ")"}]}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", "*", 
        RowBox[{"(", 
         RowBox[{"y2", "-", "y1"}], ")"}]}], " ", "-", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", "y2", ")"}], "^", "2"}], " ", "-", " ", 
         RowBox[{
          RowBox[{"(", "y1", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"2", " ", "types"}], ",", " ", 
    RowBox[{"with", " ", "same", " ", "risk", " ", "aversion"}]}], " ", 
   "*)"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu1", " ", "=", " ", "2"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu2", " ", "=", " ", "4"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu3", " ", "=", " ", "6"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"mu4", " ", "=", " ", "8"}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xe0", " ", "=", " ", "0.1"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe1", " ", "=", " ", "0.25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe2", " ", "=", " ", "0.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe3", " ", "=", " ", "0.65"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xe4", " ", "=", " ", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe0", " ", "=", " ", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe1", " ", "=", " ", 
   RowBox[{"xe1", " ", "*", " ", "mu1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe2", " ", "=", " ", 
   RowBox[{"xe2", " ", "*", " ", "mu2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pe3", " ", "=", " ", 
   RowBox[{"xe3", " ", "*", " ", "mu3"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pe4", " ", "=", " ", 
    RowBox[{"xe4", " ", "*", " ", "mu4"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a1", " ", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe1", " ", "-", " ", "pe0", " ", "-", " ", 
      RowBox[{"mu1", "*", 
       RowBox[{"(", 
        RowBox[{"xe1", " ", "-", " ", "xe0"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe1", "-", "xe0"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe1", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe0", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b1", " ", ":=", " ", 
   RowBox[{"mu1", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a1"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c1", " ", ":=", " ", 
    RowBox[{"pe1", " ", "+", " ", 
     RowBox[{"a1", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe1", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b1", "*", "xe1"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a2", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe2", " ", "-", " ", "pe1", " ", "-", " ", 
      RowBox[{"mu2", "*", 
       RowBox[{"(", 
        RowBox[{"xe2", " ", "-", " ", "xe1"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe2", "-", "xe1"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe2", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe1", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b2", ":=", " ", 
   RowBox[{"mu2", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c2", ":=", " ", 
    RowBox[{"pe2", " ", "+", " ", 
     RowBox[{"a2", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe2", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b2", "*", "xe2"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a3", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe3", " ", "-", " ", "pe2", " ", "-", " ", 
      RowBox[{"mu3", "*", 
       RowBox[{"(", 
        RowBox[{"xe3", " ", "-", " ", "xe2"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe3", "-", "xe2"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe3", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe2", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b3", ":=", " ", 
   RowBox[{"mu3", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a3"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c3", ":=", " ", 
    RowBox[{"pe3", " ", "+", " ", 
     RowBox[{"a3", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe3", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b3", "*", "xe3"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a4", ":=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"pe4", " ", "-", " ", "pe3", " ", "-", " ", 
      RowBox[{"mu4", "*", 
       RowBox[{"(", 
        RowBox[{"xe4", " ", "-", " ", "xe3"}], ")"}]}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", "*", 
       RowBox[{"(", 
        RowBox[{"xe4", "-", "xe3"}], ")"}]}], " ", "-", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "xe4", ")"}], "^", "2"}], " ", "-", " ", 
        RowBox[{
         RowBox[{"(", "xe3", ")"}], "^", "2"}]}], ")"}]}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b4", ":=", " ", 
   RowBox[{"mu4", "  ", "+", " ", 
    RowBox[{"2", " ", "*", " ", "a4"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c4", ":=", " ", 
    RowBox[{"pe4", " ", "+", " ", 
     RowBox[{"a4", " ", "*", 
      RowBox[{
       RowBox[{"(", "xe4", ")"}], "^", "2"}]}], " ", "-", " ", 
     RowBox[{"b4", "*", "xe4"}]}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U1", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"u", "[", 
     RowBox[{"a1", ",", "b1", ",", "c1", ",", "x"}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "utility", " ", "functions", " ", "for", " ", "all", " ", 
    "types"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U2", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"u", "[", 
     RowBox[{"a2", ",", "b2", ",", "c2", ",", "x"}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "the", " ", "utility", " ", "functions", " ", "for", " ", "all", " ", 
    "types"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U3", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"u", "[", 
     RowBox[{"a3", ",", "b3", ",", "c3", ",", "x"}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"U4", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"u", "[", 
     RowBox[{"a4", ",", "b4", ",", "c4", ",", "x"}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t1", " ", ":=", " ", 
   RowBox[{"u", "[", 
    RowBox[{"a1", ",", "b1", ",", "c1", ",", "0.75"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t2", " ", ":=", " ", 
   RowBox[{"u", "[", 
    RowBox[{"a2", ",", "b2", ",", "c2", ",", "0.75"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t3", " ", ":=", " ", 
   RowBox[{"u", "[", 
    RowBox[{"a3", ",", "b3", ",", "c3", ",", "0.75"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t4", " ", ":=", " ", 
   RowBox[{"u", "[", 
    RowBox[{"a4", ",", "b4", ",", "c4", ",", "0.75"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"M", "[", "x_", "]"}], " ", ":=", " ", 
    RowBox[{"Max", "[", 
     RowBox[{"0", ",", 
      RowBox[{"u", "[", 
       RowBox[{"a1", ",", "b1", ",", "c1", ",", "x"}], "]"}], ",", 
      RowBox[{"u", "[", 
       RowBox[{"a2", ",", "b2", ",", "c2", ",", "x"}], "]"}], ",", 
      RowBox[{"u", "[", 
       RowBox[{"a3", ",", "b3", ",", "c3", ",", "x"}], "]"}], ",", 
      RowBox[{"u", "[", 
       RowBox[{"a4", ",", "b4", ",", "c4", ",", "x"}], "]"}]}], "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"U1", "[", "x", "]"}], ",", 
      RowBox[{"U2", "[", "x", "]"}], ",", 
      RowBox[{"U3", "[", "x", "]"}], ",", 
      RowBox[{"U4", "[", "x", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.1"}], ",", "10"}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x\>\"", ",", "\"\<p\>\""}], "}"}]}], ",", " ", 
    RowBox[{"Frame", "\[Rule]", "True"}], ",", " ", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<Insurance Level (note \!\(\*SubsuperscriptBox[\(x\), \(4\), \(4\)]\
\)=1)\>\"", ",", "\"\<Price\>\""}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"BaseStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"FontFamily", "\[Rule]", "\"\<Arial\>\""}], ",", "14"}], 
      "}"}]}], ",", " ", "\[IndentingNewLine]", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "Brown", "}"}], ",", " ", 
       RowBox[{"{", "Red", "}"}], ",", 
       RowBox[{"{", "Magenta", "}"}], ",", 
       RowBox[{"{", "Blue", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Dashed", ",", " ", 
         RowBox[{"Thickness", "[", "0.015", "]"}], ",", "Purple"}], "}"}]}], 
      "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotLegends", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
      "\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(1\)]\)\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(2\)]\)\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(3\)]\)\>\"", ",", 
       "\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(4\)]\)\>\"", ",", 
       "\"\<p(\[Bullet])\>\""}], "}"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"Epilog", "\[Rule]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"PointSize", "[", "Large", "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"xe0", ",", "pe0"}], "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"xe1", ",", "pe1"}], "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"xe2", ",", "pe2"}], "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"xe3", ",", "pe3"}], "}"}], "]"}], ",", 
       RowBox[{"Point", "[", 
        RowBox[{"{", 
         RowBox[{"xe4", ",", "pe4"}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(1\)]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"0.75", ",", 
           RowBox[{"t1", "-", "0.25"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FontSize", "\[Rule]", "13"}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Brown"}]}], "}"}]}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(2\)]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"0.75", ",", 
           RowBox[{"t2", "-", "0.25"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FontSize", "\[Rule]", "13"}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Red"}]}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(3\)]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"0.75", ",", 
           RowBox[{"t3", "-", "0.50"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FontSize", "\[Rule]", "13"}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Magenta"}]}], "}"}]}]}], "]"}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{"\"\<\!\(\*SubscriptBox[\(\[Mu]\), \(4\)]\)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"0.75", ",", 
           RowBox[{"t4", "+", "0.80"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"FontSize", "\[Rule]", "13"}], ",", 
            RowBox[{"FontColor", "\[Rule]", "Blue"}]}], "}"}]}]}], "]"}], ",",
        "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
        "\"\<(0,\!\(\*SubsuperscriptBox[\(x\), \(0\), \(4\)]\))\>\"", ",", 
         RowBox[{"{", 
          RowBox[{"xe0", ",", 
           RowBox[{"pe0", " ", "+", " ", "0.7"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"FontSize", "\[Rule]", "13"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
        "\"\<(\!\(\*SubsuperscriptBox[\(p\), \(1\), \
\(4\)]\),\!\(\*SubsuperscriptBox[\(x\), \(1\), \(4\)]\))\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xe1", "-", "0.01"}], ",", 
           RowBox[{"pe1", " ", "+", " ", "0.7"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"FontSize", "\[Rule]", "13"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
        "\"\<(\!\(\*SubsuperscriptBox[\(p\), \(2\), \
\(4\)]\),\!\(\*SubsuperscriptBox[\(x\), \(2\), \(4\)]\))\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xe2", "-", "0.025"}], ",", 
           RowBox[{"pe2", " ", "+", " ", "0.75"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"FontSize", "\[Rule]", "13"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
        "\"\<(\!\(\*SubsuperscriptBox[\(p\), \(3\), \
\(4\)]\),\!\(\*SubsuperscriptBox[\(x\), \(3\), \(4\)]\))\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xe3", "-", "0.03"}], ",", 
           RowBox[{"pe3", " ", "+", " ", "0.85"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"FontSize", "\[Rule]", "13"}], "}"}]}]}], "]"}], ",", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"Text", "[", 
        RowBox[{
        "\"\<(\!\(\*SubsuperscriptBox[\(p\), \(4\), \(4\)]\),1)\>\"", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"1", "-", "0.03"}], ",", 
           RowBox[{"mu4", "+", "1"}]}], "}"}], ",", " ", 
         RowBox[{"BaseStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"FontSize", "\[Rule]", "13"}], "}"}]}]}], "]"}]}], "}"}]}],
     ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"PlotLabel", "\[Rule]", 
     RowBox[{"Style", "[", 
      RowBox[{
      "\"\<Equilibrium w/ 4 Types; \!\(\*SuperscriptBox[\(p\), \(4\)]\) is \
Maximum of Curves\>\"", ",", "15"}], "]"}]}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{
     RowBox[{"FileNameJoin", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"NotebookDirectory", "[", "]"}], ",", 
        "\"\<price_curve_finite.pdf\>\""}], "}"}], "]"}], ",", "%"}], "]"}], 
   ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.654084761829789*^9, 3.654084766137369*^9}, {
   3.654084990861683*^9, 3.654085043148172*^9}, {3.654085615879644*^9, 
   3.654085679499654*^9}, {3.654085716731349*^9, 3.654085796293104*^9}, {
   3.654085829869647*^9, 3.6540858584446697`*^9}, {3.654085944005374*^9, 
   3.654085985384428*^9}, {3.654086021195547*^9, 3.654086021877582*^9}, {
   3.654086074848733*^9, 3.65408608045804*^9}, {3.654086119096356*^9, 
   3.654086144395257*^9}, {3.6540861749853907`*^9, 3.6540862342317457`*^9}, {
   3.654086275273429*^9, 3.654086275919475*^9}, 3.654086371223913*^9, {
   3.654086440567954*^9, 3.654086440801491*^9}, {3.654086497321967*^9, 
   3.654086580655294*^9}, {3.654086645142502*^9, 3.6540866489590693`*^9}, {
   3.6540868006208344`*^9, 3.654086810086817*^9}, {3.654086865663377*^9, 
   3.6540868924446363`*^9}, {3.6540869488674173`*^9, 
   3.6540869841551647`*^9}, {3.654087022035595*^9, 3.654087028930533*^9}, {
   3.6540871102278214`*^9, 3.65408713403084*^9}, {3.654087366361936*^9, 
   3.6540873667694902`*^9}, {3.654087457460434*^9, 3.654087782684373*^9}, {
   3.6540878577087393`*^9, 3.654087860096937*^9}, {3.654087909517391*^9, 
   3.654087921544088*^9}, {3.654087967299337*^9, 3.6540879700215683`*^9}, {
   3.654088224105817*^9, 3.6540883010327263`*^9}, {3.654088337637545*^9, 
   3.6540883383578253`*^9}, {3.654088823986524*^9, 3.654088895271007*^9}, {
   3.654088926212845*^9, 3.654088996052891*^9}, {3.654089028320209*^9, 
   3.654089030414783*^9}, 3.654089077488151*^9, {3.654089111623246*^9, 
   3.6540892774478083`*^9}, {3.654089421270298*^9, 3.654089442959364*^9}, {
   3.6540895085646*^9, 3.6540897609065742`*^9}, {3.654089793107745*^9, 
   3.654089882257058*^9}, {3.654090027393229*^9, 3.654090040217157*^9}, {
   3.654090126107752*^9, 3.654090154207101*^9}, {3.6540904676958303`*^9, 
   3.6540904920704517`*^9}, {3.654090528064599*^9, 3.654090541771603*^9}, {
   3.6540906439468307`*^9, 3.65409066167456*^9}, {3.654091030546303*^9, 
   3.654091100773958*^9}, {3.6540911314690523`*^9, 3.654091131562707*^9}, {
   3.654091175157847*^9, 3.654091196146928*^9}, {3.654091259961026*^9, 
   3.6540912811749763`*^9}, {3.6540913278227873`*^9, 3.654091363814581*^9}, 
   3.6540913988851357`*^9, {3.654091443583721*^9, 3.654091468808614*^9}, 
   3.654091504009903*^9, {3.6540920014991283`*^9, 3.6540920024282427`*^9}, {
   3.654099008976809*^9, 3.654099009886825*^9}, {3.654099054672201*^9, 
   3.654099056949709*^9}, {3.6541000364076014`*^9, 3.65410015115652*^9}, {
   3.654100223076532*^9, 3.654100252473755*^9}, {3.654100342965404*^9, 
   3.6541003450447607`*^9}, {3.6541004190025787`*^9, 3.654100512966296*^9}, {
   3.654100576173481*^9, 3.6541006236530027`*^9}, {3.654100657464992*^9, 
   3.654100659723229*^9}, {3.65410069895822*^9, 3.654100747578195*^9}, {
   3.654100959782037*^9, 3.654101253757845*^9}, {3.654340037360993*^9, 
   3.6543401874563293`*^9}, {3.654340781796336*^9, 3.654340782029985*^9}, {
   3.6548965848544283`*^9, 3.654896629971703*^9}, {3.655190568262974*^9, 
   3.655190578768423*^9}, {3.6562528772591267`*^9, 3.656252921650013*^9}, {
   3.656253021884144*^9, 3.6562530423144903`*^9}, {3.7067718131628*^9, 
   3.7067718388988*^9}, {3.7067718988588*^9, 3.7067719007228*^9}, {
   3.7067720061468*^9, 3.7067720369388*^9}, {3.7067730924827995`*^9, 
   3.7067730926018*^9}, {3.7067731253868*^9, 3.7067731344438*^9}, {
   3.7067732062187996`*^9, 3.7067732079228*^9}, {3.7067744081238*^9, 
   3.7067746378107996`*^9}, {3.7067746824337997`*^9, 3.7067748062578*^9}, {
   3.7067748753387995`*^9, 3.7067749397067995`*^9}, {3.7067750414318*^9, 
   3.7067750482187996`*^9}, {3.7067750809458*^9, 3.7067752521377997`*^9}, {
   3.7067752838658*^9, 3.7067752860738*^9}, {3.7067753563468*^9, 
   3.7067753566258*^9}, {3.7067754542908*^9, 3.7067755288577995`*^9}, {
   3.7067755946108*^9, 3.7067756284097996`*^9}, {3.7067756914188*^9, 
   3.7067758537858*^9}, {3.7067758895218*^9, 3.7067759154337997`*^9}, {
   3.7067761493947997`*^9, 3.7067764017948*^9}, {3.7067764511147995`*^9, 
   3.7067766280657997`*^9}, {3.7067766695067997`*^9, 
   3.7067767648907995`*^9}, {3.7067768267008*^9, 3.7067768791068*^9}, {
   3.7067769577718*^9, 3.7067769858177996`*^9}, {3.7067770271877995`*^9, 
   3.7067770287307997`*^9}, {3.7067771096759377`*^9, 
   3.7067771123534727`*^9}, {3.706777156523305*^9, 3.706777166093219*^9}, {
   3.7067772864612875`*^9, 3.7067773583612328`*^9}, {3.7067800458087997`*^9, 
   3.7067800844488*^9}, {3.7067801246328*^9, 3.7067801758898*^9}, {
   3.7067802288728*^9, 3.7067803982257996`*^9}, {3.7067804597528*^9, 
   3.7067806048018*^9}, {3.7067806540738*^9, 3.7067807450098*^9}, {
   3.7067808356577997`*^9, 3.7067809363478*^9}, {3.7067809871308*^9, 
   3.7067809989058*^9}, {3.7067811603217998`*^9, 3.7067812220108*^9}, {
   3.7067812813538*^9, 3.7067813390908*^9}, {3.7067813860758*^9, 
   3.7067815262018*^9}, {3.7067815863938*^9, 3.7067815938907995`*^9}, {
   3.7067817122678*^9, 3.7067817298817997`*^9}, {3.7067818550028*^9, 
   3.7067818598428*^9}, {3.7067819001868*^9, 3.7067819636658*^9}, 
   3.7067829861938*^9, {3.714669269067582*^9, 3.714669320331582*^9}, {
   3.7146693557095823`*^9, 3.714669420830582*^9}, {3.7146694571485825`*^9, 
   3.714669470099582*^9}, {3.714669521255582*^9, 3.714669575836582*^9}, {
   3.714669606093582*^9, 3.714669630987582*^9}, {3.714669661804582*^9, 
   3.714669699213582*^9}, {3.714669741796582*^9, 3.7146697776695824`*^9}, {
   3.714669810903582*^9, 3.714669819437582*^9}, {3.714669926432582*^9, 
   3.714669937659582*^9}, {3.7146699855895824`*^9, 3.7146700576365824`*^9}, {
   3.714670121765582*^9, 3.7146701626045823`*^9}, {3.714670194343582*^9, 
   3.714670248189582*^9}, {3.835091563337098*^9, 3.8350915646341677`*^9}, {
   3.8350916703673887`*^9, 3.835091671072431*^9}},
 CellLabel->
  "In[285]:=",ExpressionUUID->"8ca91dcf-4c49-45ff-b909-e01312b28e54"],

Cell[BoxData[
 TemplateBox[{
  "General", "obspkg", 
   "\"\\!\\(\\*RowBox[{\\\"\\\\\\\"PlotLegends`\\\\\\\"\\\"}]\\) is now \
obsolete. The legacy version being loaded may conflict with current \
functionality. See the Compatibility Guide for updating information.\"", 2, 
   286, 7, 25229454510547344880, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.7146695769715824`*^9, {3.7146696216155825`*^9, 3.7146696998585825`*^9}, {
   3.7146697497035823`*^9, 3.714669778847582*^9}, 3.714669827392582*^9, 
   3.714669878678582*^9, {3.7146699394385824`*^9, 3.714669986178582*^9}, 
   3.714670028120582*^9, 3.714670170593582*^9, 3.7146702510375824`*^9, {
   3.835091545866461*^9, 3.83509156859028*^9}, {3.835091626944916*^9, 
   3.835091639729862*^9}, 3.8350916754934072`*^9},
 CellLabel->
  "During evaluation of \
In[285]:=",ExpressionUUID->"f68a6b5b-5fa9-4c27-af4b-2a2037464838"],

Cell[BoxData[
 TemplateBox[{
   GraphicsBox[{{{{}, {}, 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[0.6, 0.4, 0.2]], 
         LineBox[CompressedData["
1:eJwVxQswFHgAx/Hd/WdSzREadJ0aRV2F1LgtV/n9pfLK3Xh0pgs5JZu7XtKQ
00RHV+jINeuxWWtFyeSRpYe9PKu7jQh5pRUtyeKvyyPE3vWd+czXNOC4RyCP
w+Hs/N/nd670dRDZ3UF62ufuV5i7jwzUxMuwu8QlisYVV4Q9s0Xq2H0EhzhG
qrJPwUimp+RyK1CU5KYV8ucdlPU61DVsq4ZDwmD6TGo1qoMzlu0bqsXq1GvH
kfMU46u3694++gTnb/zucYTTBN5U/uJl5gr8YJccNxPZCr7Gv8yzoA6CpotP
w6WdqIuxefZ4XQPGOur3z95UYkWSeipvpBFpPqtD357tgXqyW/nCuglOfc8k
05FvcH2wXKHzRzPc1a56G7L6oGNyg6lULbCykP/0W+lbJBwpPSwxa0XjvryQ
h5J3mKD5KsG5NkQtDKp/UahG6KZamWFNO3aVxJieFg6ju6A2/rlpJ8T9S7wH
MxlmgltEayNeQtrXM/upbhTr7efPHS7vwqVbsoKgsvdwlJoGFRspcVd9ZGl6
0b8IMzmwssenG+2BgT5RKR9gMbR3UZvba/hoXVDsDRuDge6odu30a+wwcqrx
DBrHvApR4aprPTjR4OUi2TmBn23KOxa49iLCzzI2eeMk8p0DJA8neiHKd3xv
b/QR4+ovF/cL32BCUOWrHPyIUk9HcnWnCvoNCx6crZ/COafYTFm/ClFrnrb+
KJ6G6SuX9uzYPljv4OYIBTP4dnPM1aWb+nFLKM7l23+Cz/KGKW5zP6we8goL
tGcxrrjceyL6LW6q3E9qK2eROs8v1MNsAJyqTu946RwMlKVSXu0AbPChJM9f
A62z0V62J9+hkr5aq2XIoZw8v8Je/UHEHQy8lHKKQ0PSCy/rVw8iQhB9/lIb
h/61/qK23jE1alqPWVlv4VI9lxCL8zpDKBcl7dK+wqVdlo3NZ+RDcDNQnBhh
XFokhpnKbxiNEuMzVo486lvI1zOZGwbfcNooVMSjUbFZ0V23RrB9xN45fJxH
bw+YiHT2MGRuc81Y5UToxYxYf+V3DJrM+NYrzoQe8hg2L3BnsLlnN6FxIfQr
ubzIzZvBeP7swEs3QuMS9z9OCGBoWd4pSvYkVMBPe7/wDIMB33DzjB+hK2OW
OM3PZSgmQof7pwmd2xL5RdtNBiHX0tUsjNCO4TdNufkM38v4tonhhCZ5l/ju
Lmaw2yL9+9CvhGrWeZyKlTPoPuiQ6UQT2vU8UUyaGSJyFNW+CYTeuzB5sPkF
Q9ZowsYnlwm9uvXA2ux2BvFo1QXrREJdc6xkO5QM+roxKl4yoQ/C6/+Jfscw
8khwNDeFUKHlN4nuQwx371bq6qYRerL3mpcpY/Dyi08NSyf06z2/dFeOMego
wn2dMgidx225njTJsCZRlFYkJvR16dZg/2mGJQs2yo0lhMqDszdYzzK0b7Z9
FJVFaMqKReMaDcOxZTLZgJTQ/wBIBh3K
          "]]}, 
        Annotation[#, "Charting`Private`Tag$6473#1"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[1, 0, 0]], 
         LineBox[CompressedData["
1:eJwBEQTu+yFib1JlAgAAAEAAAAACAAAAMydgzXFFxD+amZmZmZm5v8JqnRtZ
7MQ/J/nOQ5fZsL/1Jj0PrW3HP87f0LducrA/AvmrEBslyj/U1+0QYBnKPzb/
YLZTrsw/B158umtP1T/MhDTOxirPP6Fv5TmTVN0/H5Dr+anu0D85OpOE8fji
P+v3397VMNI/V7FgrlDz5j+k6rvKDo7TPy6ZBcW+N+s/Dh2n7+Tk1D9+FdQx
nVzvP4xptWagJNY/QDufoNKX8T/2QKvkaH/XP9bXrGQcpfM/dDLEtBbD2D/w
2jCWGor1P9+uxIvRIdo/ldFyu9qR9z/7atSbKXrbP6qZNGFMivk/K0EH/ma7
3D+soYkKrVv7P0eiIWexF94/7y2XfYxO/T93HV8i4VzfPyQ9NUn7Gv8/LOxV
C9dN4D/n0aYfrmwAQBMP8AjE+uA/VnPRZwBcAUAEv5uvI5zhPxNcOYazOAJA
azS72QlL4j8O3tzpBiUDQKtJYqC+9uI/Gn/K6CEKBED16xoQ5pbjP95Da5o6
3QRAtVNHA5RE5D8IgfhtUr8FQH9IhZ+05uQ/yNCZ5bePBkAh3UrYo4XlP1cd
R9uEWQdAOjeElBky5j8QpdbMszEIQFwez/kB0+Y/6LTWHcn4CED1yo3icIHn
P3ySQD+/zQlAmARedFIk6D97TuYN7JEKQBPetaICxOg/6UUjg7xPC0AFfYFU
OXHpP1O8xurPGgxAAKler+IS6j9oN/Vts9UMQHKar40Swuo//6mJIlidDUC9
K4gIEW7rP4JN8e1uXg5AEUpyLIIO7D+G8rP18g8PQNwt0NN5vOw/e/NHxZbN
D0Cwnj8k5F7tP81M8vL7PRBAXa82ER3+7T/821ejNZIQQICFoYHcqu4/KT1+
gTDsEECt6B2bDkzvP+c7BIjWPhFAiJ2FYN5O7z+V5QqxREARQGRS7SWuUe8/
z63FwLJBEUAcvLywTVfvP+KZV5SORBFAio9bxoxi7z+E4OwLRUoRQGg2mfEK
ee8/uifdPK1VEUAihBRIB6bvP+qd1KVqbBFA/jh8Ddeo7z/mGF+l1W0RQNnt
49Kmq+8/arKdi0BvEUCQV7NdRrHvPxRBNwwWchFA/ypSc4W87z/lzNvdv3cR
QNzRj54D0+8/eJ7qwg6DEUC4hvdj09XvPxkCty14hBFAlDtfKaPY7z9EhDd/
4YURQEulLrRC3u8/OuRU1rOIEUC6eM3JgenvP6ISAVVXjhFAli01j1Hs7z+X
am71v48RQHHinFQh7+8/FOGPfCiREUAoTGzfwPTvP7Ap7z75kxFABAHUpJD3
7z/O+yx6YZURQOC1O2pg+u8/duwenMmWEUC8aqMvMP3vP6j7xKQxmBFAlx8L
9f//7z9kKR+UmZkRQKPW/CU=
          "]]}, 
        Annotation[#, "Charting`Private`Tag$6473#2"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[1, 0, 1]], 
         LineBox[CompressedData["
1:eJwBcQOO/CFib1JlAgAAADYAAAACAAAAcmwd9qcC1z+amZmZmZm5v/ZAq+Ro
f9c/AKjVbEAUlz90MsS0FsPYPyzaCdtbYtU/367Ei9Eh2j9q6J5Tb0blP/tq
1Jspets/wC0i+RJx7z8rQQf+ZrvcP450AmD0XPQ/R6IhZ7EX3j+41B/eiUn5
P3cdXyLhXN8/rH7aXUrI/T8s7FUL103gP5F1ku/vCwFAEw/wCMT64D9tVx16
y1QDQAS/m68jnOE/uPAiU6tpBUBrNLvZCUviP0UsmAEhnQdAq0lioL724j+E
iNioDrgJQPXrGhDmluM/Tn/4iwGiC0C1U0cDlETkP09tO2B0pw1Af0iFn7Tm
5D8GwNlQdH0PQCHdStijheU/3GOd/f2eEEA6N4SUGTLmP8RZVaCAixFAXB7P
+QHT5j97gf8owGESQPXKjeJwgec/Xl945wFDE0CYBF50UiToP/Gco17FDhRA
E961ogLE6D9Alx4lYNAUQAV9gVQ5cek/dEB0M3qbFUAAqV6v4hLqP1Pj2QiO
UhZAcpqvjRLC6j/MseEf4xEXQL0riAgRbus/RyjCDJbGF0ARSnIsgg7sP7aa
7N7DaBhA3C3Q03m87D/ABldUpxEZQLCePyTkXu0/AR7O9cmoGUBdrzYRHf7t
P8I7o/rSNhpAgIWhgdyq7j8bbXLLD8oaQK3oHZsOTO8/2lmaxwJNG0CInYVg
3k7vP/abyl09TxtAZFLtJa5R7z+xWvp3d1EbQBy8vLBNV+8/9k1YOOpVG0CK
j1vGjGLvP9oLDunJXhtAaDaZ8Qp57z/t5GAKcnAbQCKEFEgHpu8/OgykTGWT
G0D+OHwN16jvP+Dhw2KQlRtA2e3j0qar7z8fNOP8upcbQJBXs11Gse8/dU4g
vQ6cG0D/KlJzhbzvP3dalG2wpBtA3NGPngPT7z/Ez2OO3LUbQLiG92PT1e8/
Km975P+3G0CUO18po9jvPy+Lkr4iuhtAS6UutELe7z8MOb/+Zr4bQLp4zcmB
6e8/HWwSr+nGG0CWLTWPUezvP2jwJSUJyRtAceKcVCHv7z9N8TgfKMsbQChM
bN/A9O8/72hdn2TPG0AEAdSkkPfvP6vfbiWC0RtA4LU7amD67z8D038vn9Mb
QLxqoy8w/e8/9EKQvbvVG0CXHwv1///vP4YvoM/X1xtA08Whpg==
          "]]}, 
        Annotation[#, "Charting`Private`Tag$6473#3"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          AbsoluteThickness[1.6], 
          RGBColor[0, 0, 1]], 
         LineBox[CompressedData["
1:eJwBQQO+/CFib1JlAgAAADMAAAACAAAAEqd5Xc462z+amZmZmZm5v/tq1Jsp
ets/gNEZYI/glb8rQQf+ZrvcP7AZeYrym9c/R6IhZ7EX3j8InMe2pwzpP3cd
XyLhXN8/zqlPF76R8j8s7FUL103gP9hJwn6GXfg/Ew/wCMT64D/48Ma6/IH+
PwS/m68jnOE/x74D3zoNAkBrNLvZCUviP8T35yhzAgVAq0lioL724j8oc7Zf
ktYHQPXrGhDmluM/LpcBYsNoCkC1U0cDlETkPyaQ8WbDHw1Af0iFn7Tm5D/Q
zx9z55YPQCHdStijheU//8bdcYv4EEA6N4SUGTLmP+Agi4MBNhJAXB7P+QHT
5j+3TRcbhFUTQPXKjeJwgec/G2t7rbiDFECYBF50UiToP6koGhYElRVAE961
ogLE6D8mJCuynJgWQAV9gVQ5cek/o94Dv9uoF0AAqV6v4hLqPwkeynUunhhA
cpqvjRLC6j/2QOtOeZ4ZQL0riAgRbus/GWq4/myQGkARSnIsgg7sP4TzD299
aRtA3C3Q03m87D++1Oe1bkscQLCePyTkXu0/cpA7UIYVHUBdrzYRHf7tP7JG
HudZ0x1AgIWhgdyq7j9EaINDBJgeQK3oHZsOTO8/UJRRWNBGH0CInYVg3k7v
P2j76LvJSR9AZFLtJa5R7z9sHbh3wkwfQBy8vLBNV+8/FJL997FSH0CKj1vG
jGLvPyA+JRuJXh9AaDaZ8Qp57z/2oOfrF3YfQCKEFEgHpu8/vJE4t7ekH0D+
OHwN16jvP15VxyGcpx9A2e3j0qar7z/e043kf6ofQJBXs11Gse8/kAHCckWw
H0D/KlJzhbzvP6ofx7HIux9A3NGPngPT7z+cZkS6r9IfQLiG92PT1e8/fNhO
qInVH0CUO18po9jvP0IFke5i2B9AS6UutELe7z94j7yDE94fQLp4zcmB6e8/
lGaw0GzpH0CWLTWPUezvP5iveIBB7B9AceKcVCHv7z98s3iIFe8fQChMbN/A
9O8/9Osfobv0H0AEAdSkkPfvP4Qgx7GN9x9A4LU7amD67z/8D6YaX/ofQLxq
oy8w/e8/Vrq82y/9H0CXHwv1///vP5YfC/X//x9AvKWQlQ==
          "]]}, 
        Annotation[#, "Charting`Private`Tag$6473#4"]& ]}}, {}}, {
    DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
     AxesOrigin -> {0, 0}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, DisplayFunction -> Identity, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {0, 0}}, PlotRangeClipping -> True, ImagePadding -> 
     All, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox["\"x\"", TraditionalForm], 
       FormBox["\"p\"", TraditionalForm]}, AxesOrigin -> {0, 0}, 
     BaseStyle -> {FontFamily -> "Arial", 14}, DisplayFunction :> Identity, 
     Epilog -> {
       PointSize[Large], 
       PointBox[{0.1, 0}], 
       PointBox[{0.25, 0.5}], 
       PointBox[{0.5, 2.}], 
       PointBox[{0.65, 3.9000000000000004`}], 
       PointBox[{1, 8}], 
       InsetBox[
        FormBox[
        "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(1\\)]\\)\"", 
         TraditionalForm], {0.75, 1.6540404040404044`}, 
        BaseStyle -> {FontSize -> 13, FontColor -> RGBColor[0.6, 0.4, 0.2]}], 
       
       InsetBox[
        FormBox[
        "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(2\\)]\\)\"", 
         TraditionalForm], {0.75, 3.0500000000000003`}, 
        BaseStyle -> {FontSize -> 13, FontColor -> RGBColor[1, 0, 0]}], 
       InsetBox[
        FormBox[
        "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(3\\)]\\)\"", 
         TraditionalForm], {0.75, 4.470588235294117}, 
        BaseStyle -> {FontSize -> 13, FontColor -> RGBColor[1, 0, 1]}], 
       InsetBox[
        FormBox[
        "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(4\\)]\\)\"", 
         TraditionalForm], {0.75, 6.136734693877552}, 
        BaseStyle -> {FontSize -> 13, FontColor -> RGBColor[0, 0, 1]}], 
       InsetBox[
        FormBox[
        "\"(0,\\!\\(\\*SubsuperscriptBox[\\(x\\), \\(0\\), \\(4\\)]\\))\"", 
         TraditionalForm], {0.1, 0.7}, BaseStyle -> {FontSize -> 13}], 
       InsetBox[
        FormBox[
        "\"(\\!\\(\\*SubsuperscriptBox[\\(p\\), \\(1\\), \
\\(4\\)]\\),\\!\\(\\*SubsuperscriptBox[\\(x\\), \\(1\\), \\(4\\)]\\))\"", 
         TraditionalForm], {0.24, 1.2}, BaseStyle -> {FontSize -> 13}], 
       InsetBox[
        FormBox[
        "\"(\\!\\(\\*SubsuperscriptBox[\\(p\\), \\(2\\), \
\\(4\\)]\\),\\!\\(\\*SubsuperscriptBox[\\(x\\), \\(2\\), \\(4\\)]\\))\"", 
         TraditionalForm], {0.475, 2.75}, BaseStyle -> {FontSize -> 13}], 
       InsetBox[
        FormBox[
        "\"(\\!\\(\\*SubsuperscriptBox[\\(p\\), \\(3\\), \
\\(4\\)]\\),\\!\\(\\*SubsuperscriptBox[\\(x\\), \\(3\\), \\(4\\)]\\))\"", 
         TraditionalForm], {0.62, 4.75}, BaseStyle -> {FontSize -> 13}], 
       InsetBox[
        FormBox[
        "\"(\\!\\(\\*SubsuperscriptBox[\\(p\\), \\(4\\), \\(4\\)]\\),1)\"", 
         TraditionalForm], {0.97, 9}, BaseStyle -> {FontSize -> 13}]}, 
     Frame -> {{True, True}, {True, True}}, FrameLabel -> {{
        FormBox["\"Price\"", TraditionalForm], None}, {
        FormBox[
        "\"Insurance Level (note \\!\\(\\*SubsuperscriptBox[\\(x\\), \\(4\\), \
\\(4\\)]\\)=1)\"", TraditionalForm], None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None,
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotLabel -> FormBox[
       StyleBox[
       "\"Equilibrium w/ 4 Types; \\!\\(\\*SuperscriptBox[\\(p\\), \
\\(4\\)]\\) is Maximum of Curves\"", 15, StripOnInput -> False], 
       TraditionalForm], PlotRange -> {{0., 0.9999999795918367}, {-0.1, 10}}, 
     PlotRangeClipping -> True, PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {Automatic, Automatic}}, 
     Ticks -> {Automatic, Automatic}}], 
   FormBox[
    FormBox[
     TemplateBox[{
      "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(1\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(2\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(3\\)]\\)\"", 
       "\"\\!\\(\\*SubscriptBox[\\(\[Mu]\\), \\(4\\)]\\)\"", 
       "\"p(\[Bullet])\""}, "LineLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0.6, 0.4, 0.2]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0.6, 0.4, 0.2]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 0]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 1]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[1, 0, 1]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #3}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 0, 1]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], FontFamily -> "Arial", 
                    Opacity[1.], 
                    AbsoluteThickness[1.6], 
                    RGBColor[0, 0, 1]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #4}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.6, 0.4, 0.2], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.4, 0.2666666666666667, 0.13333333333333336`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.6`", ",", "0.4`", ",", "0.2`"}], "]"}], 
                    NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.6, 0.4, 0.2]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.6, 0.4, 0.2], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0.6666666666666666, 0., 0.], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "0"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 0], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[1, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[0.6666666666666666, 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"1", ",", "0", ",", "1"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[1, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[1, 0, 1], Editable -> False, Selectable -> 
                    False]}], "]"}], ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"FontFamily", "\[Rule]", "\"Arial\""}], ",", 
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0, 0, 1], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[0., 0., 0.6666666666666666], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 
                    1.35 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                    Magnification])}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0", ",", "0", ",", "1"}], "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0, 0, 1]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0, 0, 1], Editable -> False, Selectable -> 
                    False]}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2, ",", #3, ",", #4, ",", #5}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.714669577146582*^9, {3.714669621800582*^9, 3.714669700053582*^9}, {
   3.714669749902582*^9, 3.7146697789535823`*^9}, 3.714669827487582*^9, 
   3.714669878783582*^9, {3.714669939548582*^9, 3.714669986283582*^9}, 
   3.714670028225582*^9, 3.714670170698582*^9, 3.714670251152582*^9, {
   3.835091545934332*^9, 3.83509156868512*^9}, {3.8350916270217123`*^9, 
   3.835091639805664*^9}, 3.8350916755727*^9},
 CellLabel->
  "Out[324]=",ExpressionUUID->"ce68de52-c459-4a8b-87d7-0b972b6816a0"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7067829013198*^9, 3.7067829324248*^9}},
 CellLabel->
  "In[326]:=",ExpressionUUID->"b612039d-3de3-401d-aca5-914ac4f850d4"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.7067765451387997`*^9},
 CellLabel->
  "In[327]:=",ExpressionUUID->"51ec9093-d465-45de-8747-376ebfffced6"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.6540915432288113`*^9, 3.6540915453932133`*^9}, {
  3.65409175467316*^9, 3.654091776092454*^9}, {3.654091896260868*^9, 
  3.654091934853662*^9}, {3.6540920411000547`*^9, 3.654092180647297*^9}, {
  3.6540922563704367`*^9, 3.654092260338623*^9}, {3.654094327621076*^9, 
  3.6540943374281883`*^9}},
 CellLabel->
  "In[328]:=",ExpressionUUID->"8fb0593f-7ba1-44ab-870e-041757b3ae7e"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6540943351079597`*^9, 3.654094335136017*^9}},
 CellLabel->
  "In[329]:=",ExpressionUUID->"dcd576eb-d576-4476-8184-3abd46b4c7f0"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.654094331380436*^9, 3.654094331814413*^9}},
 CellLabel->
  "In[330]:=",ExpressionUUID->"a8c25a9e-a90e-4a6a-8129-af5fdb493f33"],

Cell[BoxData[" "], "Input",
 CellChangeTimes->{3.65409100571297*^9},
 CellLabel->
  "In[331]:=",ExpressionUUID->"832471d0-6576-443e-8a63-0ecffb4891b6"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.654090607208168*^9, 3.654090610351736*^9}, {
  3.654091014751998*^9, 3.654091023626659*^9}},
 CellLabel->
  "In[332]:=",ExpressionUUID->"bc76d407-9de2-4d47-a22d-bc0f7f71d8ba"]
},
WindowSize->{1337, 982},
WindowMargins->{{Automatic, -49}, {Automatic, 110}},
FrontEndVersion->"12.2 for Mac OS X x86 (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"1bba1b18-05fd-4f04-9962-018f7dc93a48"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 23022, 554, 1561, "Input",ExpressionUUID->"8ca91dcf-4c49-45ff-b909-e01312b28e54"],
Cell[23605, 578, 903, 17, 24, "Message",ExpressionUUID->"f68a6b5b-5fa9-4c27-af4b-2a2037464838"],
Cell[24511, 597, 28120, 570, 285, "Output",ExpressionUUID->"ce68de52-c459-4a8b-87d7-0b972b6816a0"]
}, Open  ]],
Cell[52646, 1170, 171, 3, 30, "Input",ExpressionUUID->"b612039d-3de3-401d-aca5-914ac4f850d4"],
Cell[52820, 1175, 153, 3, 30, "Input",ExpressionUUID->"51ec9093-d465-45de-8747-376ebfffced6"],
Cell[52976, 1180, 480, 8, 73, "Input",ExpressionUUID->"8fb0593f-7ba1-44ab-870e-041757b3ae7e"],
Cell[53459, 1190, 177, 3, 30, "Input",ExpressionUUID->"dcd576eb-d576-4476-8184-3abd46b4c7f0"],
Cell[53639, 1195, 175, 3, 30, "Input",ExpressionUUID->"a8c25a9e-a90e-4a6a-8129-af5fdb493f33"],
Cell[53817, 1200, 151, 3, 30, "Input",ExpressionUUID->"832471d0-6576-443e-8a63-0ecffb4891b6"],
Cell[53971, 1205, 224, 4, 30, "Input",ExpressionUUID->"bc76d407-9de2-4d47-a22d-bc0f7f71d8ba"]
}
]
*)

